<?php
add_filter( 'ot_show_pages', '__return_false' );
add_filter( 'ot_show_new_layout', '__return_false' );

add_filter( 'ot_header_version_text', 'qcpx_ot_version_text_custom' );

function qcpx_ot_version_text_custom()
{
	$text = 'Developed by <a href="http://www.quantumcloud.com" target="_blank">Web Design Company - QuantumCloud</a>';
	
	return $text;
}

/**
 * Hook to register admin pages 
 */
add_action( 'init', 'qcpx_register_options_pages' );

/**
 * Registers all the required admin pages.
 */
function qcpx_register_options_pages() {

  // Only execute in admin & if OT is installed
  if ( is_admin() && function_exists( 'ot_register_settings' ) ) {

    // Register the pages
    ot_register_settings( 
      array(
        array( 
          'id'              => 'qcpx_plugin_options',
          'pages'           => array(
            array(
              'id'              => 'qcpx_options',
              'parent_slug'     => 'edit.php?post_type=qcpx_portfolio',
              'page_title'      => 'Portfolio-X Settings',
              'menu_title'      => 'Settings',
              'capability'      => 'edit_theme_options',
              'menu_slug'       => 'qcpx-options-page',
              'icon_url'        => null,
              'position'        => null,
              'updated_message' => 'Portfolio Options Updated.',
              'reset_message'   => 'Portfolio Options Reset.',
              'button_text'     => 'Save Changes',
              'show_buttons'    => true,
              'screen_icon'     => 'options-general',
              'contextual_help' => null,
              'sections'        => array(
                array(
                  'id'          => 'qcld_settings',
                  'title'       => __( 'Settings', 'portfolio-x' )
                ),
                array(
                  'id'          => 'qcld_fonts',
                  'title'       => __( 'Fonts', 'portfolio-x' )
                ),
				        array(
                  'id'          => 'tpl_customizer_section',
                  'title'       => __( 'Template Customizer', 'portfolio-x' ),
				  
                ),
                array(
                  'id'          => 'showcase_customizer_section',
                  'title'       => __( 'Showcase Customizer', 'portfolio-x' ),
          
                ),
				        array(
                  'id'          => 'qcld_custom_css',
                  'title'       => __( 'Custom CSS', 'portfolio-x' )
                ),
				        // array(
            //       'id'          => 'help_tab',
            //       'title'       => __( 'Help', 'portfolio-x' )
            //     )
              ),
			  
              'settings'        => array(

                  array(
                      'id'          => 'qc_single_open_opt',
                      'label'       => 'How to View Portfolio Details?',
                      'desc'        => 'Opening option for portfolio details.',
                      'std'         => '',
                      'type'        => 'select',
                      'section'     => 'qcld_settings',
                      'class'       => '',
                      'choices'     => array(
                          array(
                              'value'       => 'popup-window',
                              'label'       => __( 'Inside Pop-up Widow', 'portfolio-x' ),
                          ),
                          array(
                              'value'       => 'separate-page',
                              'label'       => __( 'In a Separate Single Page', 'portfolio-x' ),
                          ),
                      )
                  ),
                  array(
                      'id'          => 'qcpx_details_page_width',
                      'label'       => 'Single Page Width for Details Page',
                      'desc'        => 'Single Page width option for portfolio details.',
                      'std'         => '',
                      'type'        => 'select',
                      'section'     => 'qcld_settings',
                      'class'       => '',
                      'choices'     => array(
                          array(
                              'value'       => 'single_full',
                              'label'       => __( 'Full Width for Details Page', 'portfolio-x' ),
                          ),
                          array(
                              'value'       => 'single_box',
                              'label'       => __( 'Boxed Width for Details Page', 'portfolio-x' ),
                          )
                      )
                  ),
                   array(
                      'id'          => 'qcpx_portfolio_slug',
                      'label'       => 'Portfolio Slug',
                      'desc'        => 'Change the slug from "portfolio-x" to anything you want. It will show on the front-end URL ',
                      'std'         => 'portfolio-x',
                      'type'        => 'text',
                      'section'     => 'qcld_settings',
                      'class'       => ''
                  ),
                  array(
                      'id'          => 'qcpx_details_page_width_val',
                      'label'       => 'Box Width Value for Details Page',
                      'desc'        => 'Enter value for single page width for details page , Example: 1170, 850,1050 etc.',
                      'std'         => '1170',
                      'type'        => 'text',
                      'section'     => 'qcld_settings',
                      'class'       => ''
                  ),
                array(
                  'id'          => 'qcld_template_links',
                  'label'       => 'Show All Portfolio Links at Top',
                  'desc'        => 'Enable/Disable portfolio links at the top of the listing page',
                  'std'         => 'on',
                  'type'        => 'on-off',
                  'section'     => 'qcld_settings',
                  'class'       => ''
                ),
                  array(
                      'id'          => 'qcpx_list_page_width',
                      'label'       => 'Filtered Listing Page Width',
                      'desc'        => 'Filtered Listing Page Width option for portfolio details.',
                      'std'         => '',
                      'type'        => 'select',
                      'section'     => 'qcld_settings',
                      'class'       => '',
                      'choices'     => array(
                          array(
                              'value'       => 'list_full',
                              'label'       => __( 'Full Width for Filtered Listing Page', 'portfolio-x' ),
                          ),
                           array(
                               'value'       => 'list_box',
                               'label'       => __( 'Boxed Width for Filtered Listing Page', 'portfolio-x' ),
                           )
                      )
                  ),
                  array(
                      'id'          => 'qcpx_list_page_width_val',
                      'label'       => 'Box Width Value for Filtered Listing Page',
                      'desc'        => 'Enter value for Filtered Listing Page, Example: 1170, 850,1050 etc.',
                      'std'         => '1170',
                      'type'        => 'text',
                      'section'     => 'qcld_settings',
                      'class'       => ''
                  ),
                  array(
                  'id'          => 'qcld_post_per_page',
                  'label'       => 'Items Per Page',
                  'desc'        => 'Enter number of items to display on per page listing. Only even numbers are preferred, Example: 2, 4, 6 etc.',
                  'std'         => '6',
                  'type'        => 'text',
                  'section'     => 'qcld_settings',
                  'class'       => ''
                ),
                  array(
                      'id'          => 'qcpx_target_web_link',
                      'label'       => 'Website Link Text',
                      'desc'        => 'Enter text to display on protfolio details page for target url. Example : Visit Website, Website Link, Project Link etc.',
                      'std'         => 'Visit Website',
                      'type'        => 'text',
                      'section'     => 'qcld_settings',
                      'class'       => ''
                  ),
				        array(
                  'id'          => 'qcld_link_title',
                  'label'       => 'Link Listing Title',
                  'desc'        => 'Link title to open portfolio details.',
                  'std'         => 'on',
                  'type'        => 'on-off',
                  'section'     => 'qcld_settings',
                  'class'       => ''
                ),
                array(
                  'id'          => 'qcpx_top_btn_bg_clr',
                  'label'       => 'Top Buttons background Color',
                  'desc'        => '',
                  'std'         => '#587285',
                  'type'        => 'colorpicker',
                  'section'     => 'qcld_settings',
                ),
                array(
                  'id'          => 'qcpx_top_btn_bg_clr_hvr',
                  'label'       => 'Top Buttons background Color on Mouseover',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'qcld_settings',
                ),
                array(
                  'id'          => 'qcpx_top_btn_shadow_clr',
                  'label'       => 'Top Buttons Shadow Color',
                  'desc'        => '',
                  'std'         => '#2f4351',
                  'type'        => 'colorpicker',
                  'section'     => 'qcld_settings',
                ),
                array(
                  'id'          => 'qcpx_top_btn_txt_clr',
                  'label'       => 'Top Buttons Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'qcld_settings',
                ),
                array(
                  'id'          => 'qcpx_top_btn_txt_clr_hvr',
                  'label'       => 'Top Buttons Text Color on Mouseover',
                  'desc'        => '',
                  'std'         => '#1896f2',
                  'type'        => 'colorpicker',
                  'section'     => 'qcld_settings',
                ),
                array(
                  'id'          => 'qcpx_top_btn_bdr_clr_hvr',
                  'label'       => 'Top Buttons Border Color on Mouseover',
                  'desc'        => '',
                  'std'         => '#1896f2',
                  'type'        => 'colorpicker',
                  'section'     => 'qcld_settings',
                ),
                array(
                  'id'          => 'qcpo_hvrbtn_bg_color',
                  'label'       => 'Hover Buttons Background Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'qcld_settings',
                ),
                array(
                  'id'          => 'qcpo_hvrbtn_text_color',
                  'label'       => 'Hover Buttons Text Color',
                  'desc'        => '',
                  'std'         => '#000000',
                  'type'        => 'colorpicker',
                  'section'     => 'qcld_settings',
                ),
                array(
                  'id'          => 'qcpo_hvrbtn_separator_color',
                  'label'       => 'Hover Buttons Separator Color',
                  'desc'        => '',
                  'std'         => '#e1e1e1',
                  'type'        => 'colorpicker',
                  'section'     => 'qcld_settings',
                ),
				
				//END of SETTINS TAB

        //Start of Fonts Tab
        array(
          'id'          => 'qcpx_use_pre_google_font',
          'label'       => 'Use Predefined Google Font',
          'desc'        => 'Use google font from available/provided options.',
          'std'         => '',
          'type'        => 'select',
          'section'     => 'qcld_fonts',
          'class'       => '',
          'choices'     => array( 
              array(
              'value'       => 'Roboto',
              'label'       => __( 'Roboto', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Aref Ruqaa',
              'label'       => __( 'Aref Ruqaa', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Open Sans',
              'label'       => __( 'Open Sans', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Droid Sans',
              'label'       => __( 'Droid Sans', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Lora',
              'label'       => __( 'Lora', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Nova Script',
              'label'       => __( 'Nova Script', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Droid Serif',
              'label'       => __( 'Droid Serif', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Playfair Display',
              'label'       => __( 'Playfair Display', 'portfolio-x' ),
              ),
              array(
              'value'       => 'PT Sans Narrow',
              'label'       => __( 'PT Sans Narrow', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Ubuntu',
              'label'       => __( 'Ubuntu', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Montserrat',
              'label'       => __( 'Montserrat', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Raleway',
              'label'       => __( 'Raleway', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Bitter',
              'label'       => __( 'Bitter', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Sonsie One',
              'label'       => __( 'Sonsie One', 'portfolio-x' ),
              ),
              array(
              'value'       => 'Exo',
              'label'       => __( 'Exo', 'portfolio-x' ),
              ),
          )
        ),
        array(
            'id'          => 'qcpx_use_custom_google_font',
            'label'       => 'Use Custom Google Font',
            'desc'        => 'Paste google font URL here if you want to use any specific google font that is not available in the above selection list. Example: https://fonts.googleapis.com/css?family=Roboto',
            'std'         => '',
            'type'        => 'text',
            'section'     => 'qcld_fonts',
            'class'       => ''
        ),

        array(
          'id'          => 'qcpx_use_theme_font',
          'label'       => 'Use Theme Font Only',
          'desc'        => 'If you turn this option on, then it will override above two options and only theme font will be used.',
          'std'         => 'off',
          'type'        => 'on-off',
          'section'     => 'qcld_fonts',
          'class'       => ''
        ),       
        array(
          'id'          => 'qcpo_single_title_font_si',
          'label'       => 'Title Font Size',
          'desc'        => 'Default is 20px. Applicable in Single Page / Popup contents.',
          'std'         => '20',
          'type'        => 'text',
          'section'     => 'qcld_fonts',
        ),       
        array(
          'id'          => 'qcpo_single_des_font_si',
          'label'       => 'Description Font Size',
          'desc'        => 'Default is 16px. Applicable in Single Page / Popup contents.',
          'std'         => '16',
          'type'        => 'text',
          'section'     => 'qcld_fonts',
        ),
        //End of Fonts Tab
				
				//TAB or Template - 01
				array(
                  'id'          => 'tpl_customizer_tab_01',
                  'label'       => 'Template 01',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl1_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'on',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
				array(
                  'id'          => 'qcpo_tpl1_serial_number',
                  'label'       => 'Show/Hide Item Serial Number',
                  'desc'        => 'Display item serial number on listing page.',
                  'std'         => 'on',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                ),
				
				array(
                  'id'          => 'qcpo_tpl1_color_scheme',
                  'label'       => 'Select A Color Scheme',
                  'desc'        => '',
                  'std'         => '1',
                  'type'        => 'select',
                  'section'     => 'tpl_customizer_section',
                  'class'       => '',
				  'choices'     => array( 
					  array(
						'value'       => '1',
						'label'       => __( 'Light', 'portfolio-x' ),
					  ),
					  array(
						'value'       => '2',
						'label'       => __( 'Dark', 'portfolio-x' ),
					  ),
					)
                ),
				
				array(
                  'id'          => 'qcpo_tpl1_img_shading_color',
                  'label'       => 'Choose Shadow Color',
                  'desc'        => '',
                  'std'         => '#ffbc00',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
				
				array(
                  'id'          => 'qcpo_tpl1_qcld_img_border_radius',
                  'label'       => 'Image Border Radius',
                  'desc'        => '',
                  'std'         => '10',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl1_num_font_si',
                  'label'       => 'Number font Size',
                  'desc'        => 'Default is 310px.',
                  'std'         => '310',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl1_title_font_si',
                  'label'       => 'Title Font Size',
                  'desc'        => 'Default is 32px.',
                  'std'         => '32',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl1_des_font_si',
                  'label'       => 'Description Font Size',
                  'desc'        => 'Default is 14px.',
                  'std'         => '14',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),				
				
				//TAB or Template - 02
				array(
                  'id'          => 'tpl_customizer_tab_02',
                  'label'       => 'Template 02',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl2_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
				
				array(
                  'id'          => 'qcpo_tpl2_container_bg_color',
                  'label'       => 'Container Background Color',
                  'desc'        => '',
                  'std'         => '#F5F5F5',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
				
				array(
                  'id'          => 'qcpo_tpl2_title_txt_color',
                  'label'       => 'Choose Title Color',
                  'desc'        => '',
                  'std'         => '#2a2a2a',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
				
				array(
                  'id'          => 'qcpo_tpl2_item_border_radius',
                  'label'       => 'Item Border Radius',
                  'desc'        => '',
                  'std'         => '0',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl2_item_margin_tp',
                  'label'       => 'Item Margin: Top',
                  'desc'        => '',
                  'std'         => '0',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl2_item_margin_rt',
                  'label'       => 'Item Margin: Right',
                  'desc'        => '',
                  'std'         => '8',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl2_item_margin_bt',
                  'label'       => 'Item Margin: Bottom',
                  'desc'        => '',
                  'std'         => '8',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl2_item_margin_lt',
                  'label'       => 'Item Margin: Left',
                  'desc'        => '',
                  'std'         => '0',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl2_title_font_si',
                  'label'       => 'Title Font Size',
                  'desc'        => 'Default is 20px.',
                  'std'         => '20',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 03
        array(
                  'id'          => 'tpl_customizer_tab_03',
                  'label'       => 'Template 03',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl3_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        
        array(
                  'id'          => 'qcpo_tpl3_title_color',
                  'label'       => 'Title Text Color',
                  'desc'        => '',
                  'std'         => '#403433',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl3_title_size',
                  'label'       => 'Title Text Size',
                  'desc'        => '',
                  'std'         => '20',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 04
        array(
                  'id'          => 'tpl_customizer_tab_04',
                  'label'       => 'Template 04',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl4_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        
        array(
                  'id'          => 'qcpo_tpl4_title_color',
                  'label'       => 'Title Text Color',
                  'desc'        => '',
                  'std'         => '#0f3647',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl4_title_color_hover',
                  'label'       => 'Title Text Color (on Mouseover)',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),

        array(
                  'id'          => 'qcpo_tpl4_title_bg_color',
                  'label'       => 'Title Background Color',
                  'desc'        => '',
                  'std'         => '#ededed',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl4_title_bg_color_hover',
                  'label'       => 'Title Background Color (on Mouseover)',
                  'desc'        => '',
                  'std'         => '#232325',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl4_popup_txt1_color',
                  'label'       => 'Popup Text Color - Line 1',
                  'desc'        => '',
                  'std'         => '#000',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl4_popup_txt2_color',
                  'label'       => 'Popup Text Color - Line 2',
                  'desc'        => '',
                  'std'         => '#03a65a',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl4_title_font_si',
                  'label'       => 'Title Font Size',
                  'desc'        => 'Default is 15px.',
                  'std'         => '15',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl4_des_font_si',
                  'label'       => 'Description Font Size',
                  'desc'        => 'Default is 14px.',
                  'std'         => '14',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl4_date_font_si',
                  'label'       => 'Date Font Size',
                  'desc'        => 'Default is 20px.',
                  'std'         => '20',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 05
        array(
                  'id'          => 'tpl_customizer_tab_05',
                  'label'       => 'Template 05',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl5_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        
        array(
                  'id'          => 'qcpo_tpl5_title_color',
                  'label'       => 'Title Text Color',
                  'desc'        => '',
                  'std'         => '#0f3647',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ), 
        array(
                  'id'          => 'qcpo_tpl5_text_color',
                  'label'       => 'Other Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl5_title_font_si',
                  'label'       => 'Title Font Size',
                  'desc'        => 'Default is 24px.',
                  'std'         => '24',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ), 

        //TAB or Template - 06
        array(
                  'id'          => 'tpl_customizer_tab_06',
                  'label'       => 'Template 06',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        
        array(
                  'id'          => 'qcpo_tpl6_title_color',
                  'label'       => 'Title Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl6_title_color_hover',
                  'label'       => 'Title Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl6_border_color',
                  'label'       => 'Border Color',
                  'desc'        => '',
                  'std'         => '#2e3444',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl6_border_width',
                  'label'       => 'Border Width',
                  'desc'        => 'In pixel. Example: 14 for 14 pixel.',
                  'std'         => '14',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl6_title_font_si',
                  'label'       => 'Title Font Size',
                  'desc'        => 'Default is 16px.',
                  'std'         => '16',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 07
        array(
                  'id'          => 'tpl_customizer_tab_07',
                  'label'       => 'Template 07',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),     
        array(
                  'id'          => 'qcpo_tpl7_title_color_big',
                  'label'       => 'Title Text Color (Over the Image)',
                  'desc'        => '',
                  'std'         => '#000000',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl7_title_color',
                  'label'       => 'Title Text Color',
                  'desc'        => '',
                  'std'         => '#000000',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl7_description_color',
                  'label'       => 'Description Text Color',
                  'desc'        => '',
                  'std'         => '#000000',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ), 
        array(
                  'id'          => 'qcpo_tpl7_title_font_si_big',
                  'label'       => 'Title Font Size (Over the Image)',
                  'desc'        => 'Default is 60px.',
                  'std'         => '60',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),     
        array(
                  'id'          => 'qcpo_tpl7_title_font_si',
                  'label'       => 'Title Font Size',
                  'desc'        => 'Default is 16px.',
                  'std'         => '16',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl7_des_font_si',
                  'label'       => 'Description Font Size',
                  'desc'        => 'Default is 14px.',
                  'std'         => '14',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 08
        array(
                  'id'          => 'tpl_customizer_tab_08',
                  'label'       => 'Template 08',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl8_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        array(
                  'id'          => 'qcpo_tpl8_bg_color',
                  'label'       => 'Container Background Color',
                  'desc'        => '',
                  'std'         => '#F5F5F5',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl8_txt_bg_color',
                  'label'       => 'Text Background Color',
                  'desc'        => '',
                  'std'         => '#3FA6C9',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl8_title_color',
                  'label'       => 'Title Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl8_subtext_color',
                  'label'       => 'Sub Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl8_divider_color',
                  'label'       => 'Divider Color',
                  'desc'        => '',
                  'std'         => '#1a84ab',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl8_title_font_si',
                  'label'       => 'Title Font Size',
                  'desc'        => 'Default is 28px.',
                  'std'         => '28',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),       
        array(
                  'id'          => 'qcpo_tpl8_date_font_si',
                  'label'       => 'Date Font Size',
                  'desc'        => 'Default is 12px.',
                  'std'         => '12',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        //TAB or Template - 09
        array(
                  'id'          => 'tpl_customizer_tab_09',
                  'label'       => 'Template 09',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl9_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        array(
                  'id'          => 'qcpo_tpl9_bar_color',
                  'label'       => 'Vertical Bar Color',
                  'desc'        => '',
                  'std'         => '#51c336',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl9_title_font_si',
                  'label'       => 'Title Font Size',
                  'desc'        => 'Default is 25px.',
                  'std'         => '25',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl9_desc_font_si',
                  'label'       => 'Description Font Size',
                  'desc'        => 'Default is 14px.',
                  'std'         => '14',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 10
        array(
                  'id'          => 'tpl_customizer_tab_10',
                  'label'       => 'Template 10',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl10_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        array(
                  'id'          => 'qcpo_tpl10_bar_color',
                  'label'       => 'Vertical Bar Color',
                  'desc'        => '',
                  'std'         => '#51c336',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl10_label_color',
                  'label'       => 'Label Color',
                  'desc'        => '',
                  'std'         => '#888',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl10_tag_color',
                  'label'       => 'Tag Color',
                  'desc'        => '',
                  'std'         => '#00aeef',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl10_title_font_si',
                  'label'       => 'Title Font Size',
                  'desc'        => 'Default is 25px.',
                  'std'         => '25',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl10_desc_font_si',
                  'label'       => 'Description Font Size',
                  'desc'        => 'Default is 14px.',
                  'std'         => '14',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 11
        array(
                  'id'          => 'tpl_customizer_tab_11',
                  'label'       => 'Template 11',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl11_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        array(
                  'id'          => 'qcpo_tpl11_title_color_big',
                  'label'       => 'Title Text Color (Over the Image)',
                  'desc'        => '',
                  'std'         => '#000000',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl11_title_font_si_big',
                  'label'       => 'Title Font Size (Over the Image)',
                  'desc'        => 'Default is 60px.',
                  'std'         => '60',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 12
        array(
                  'id'          => 'tpl_customizer_tab_12',
                  'label'       => 'Template 12',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        /*array(
                  'id'          => 'qcpo_tpl12_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),*/
        array(
                  'id'          => 'qcpo_tpl12_title_color',
                  'label'       => 'Title Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl12_text_color',
                  'label'       => 'Other Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl12_bg_color',
                  'label'       => 'Background Color',
                  'desc'        => '',
                  'std'         => '#E53935',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl12_shadow_color',
                  'label'       => 'Shadow Color',
                  'desc'        => '',
                  'std'         => '',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 13
        array(
                  'id'          => 'tpl_customizer_tab_13',
                  'label'       => 'Template 13',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl13_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        array(
                  'id'          => 'qcpo_tpl13_circle_color',
                  'label'       => 'Circle Border Color',
                  'desc'        => '',
                  'std'         => '#dddddd',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl13_circle_width',
                  'label'       => 'Circle Border Width',
                  'desc'        => 'Default is 5px.',
                  'std'         => '5',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
          'id'          => 'qcpo_tpl13_variation',
          'label'       => 'Variation',
          'std'         => 'three-col',
          'type'        => 'select',
          'section'     => 'tpl_customizer_section',
          'class'       => '',
          'choices'     => array( 
              array(
              'value'       => 'two-col',
              'label'       => __( 'Two Column', 'portfolio-x' ),
              ),
              array(
              'value'       => 'three-col',
              'label'       => __( 'Three Column', 'portfolio-x' ),
              ),
              array(
              'value'       => 'four-col',
              'label'       => __( 'Four Column', 'portfolio-x' ),
              ),
          )
        ),

        //TAB or Template - 14
        array(
                  'id'          => 'tpl_customizer_tab_14',
                  'label'       => 'Template 14',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl14_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        array(
                  'id'          => 'qcpo_tpl14_anim_color1',
                  'label'       => 'Animation Color - 1',
                  'desc'        => '',
                  'std'         => '#ef4dbc',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl14_anim_color2',
                  'label'       => 'Animation Color - 2',
                  'desc'        => '',
                  'std'         => '#bc4bfd',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl14_anim_color3',
                  'label'       => 'Animation Color - 3',
                  'desc'        => '',
                  'std'         => '#5c9cfe',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl14_anim_color4',
                  'label'       => 'Animation Color - 4',
                  'desc'        => '',
                  'std'         => '#24cffb',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),

        //TAB or Template - 15
        array(
                  'id'          => 'tpl_customizer_tab_15',
                  'label'       => 'Template 15',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl15_title_size',
                  'label'       => 'Title Text Size',
                  'desc'        => 'Default is 16px.',
                  'std'         => '16',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl15_category_size',
                  'label'       => 'Tag Text Size',
                  'desc'        => 'Default is 14px.',
                  'std'         => '14',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl15_title_color',
                  'label'       => 'Title Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl15_category_color',
                  'label'       => 'Tag Text Color',
                  'desc'        => '',
                  'std'         => '#ffffff',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        //TAB or Template - 16
        array(
                  'id'          => 'tpl_customizer_tab_16',
                  'label'       => 'Template X',
                  'type'        => 'tab',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl16_lazyload',
                  'label'       => 'Enable Lazy Load',
                  'desc'        => 'Enable/Disable lazy loading for the images.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'tpl_customizer_section',
                  'class'       => ''
                ),
        array(
                  'id'          => 'qcpo_tpl16_circle_color',
                  'label'       => 'Circle Border Color',
                  'desc'        => '',
                  'std'         => '#dddddd',
                  'type'        => 'colorpicker',
                  'section'     => 'tpl_customizer_section',
                ),
        array(
                  'id'          => 'qcpo_tpl16_circle_width',
                  'label'       => 'Circle Border Width',
                  'desc'        => 'Default is 2px.',
                  'std'         => '5',
                  'type'        => 'text',
                  'section'     => 'tpl_customizer_section',
                ),

        // ShowCase Customizer Style 3
        array(
                  'id'          => 'showcase_customizer_style_3',
                  'label'       => 'Showcase 3',
                  'type'        => 'tab',
                  'section'     => 'showcase_customizer_section',
                ),
        array(
                  'id'          => 'showcase_customizer_style_3_autoplay',
                  'label'       => 'Enable Autoplay',
                  'desc'        => 'Enable/Disable the autoplay control of the slider.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'showcase_customizer_section',
                  'class'       => '',
                ),
        array(
                  'id'          => 'showcase_customizer_style_3_autoplay_speed',
                  'label'       => 'Autoplay Speed (seconds)',
                  'desc'        => 'Default is 5seconds.',
                  'std'         => '5',
                  'type'        => 'text',
                  'section'     => 'showcase_customizer_section',
                  'condition'   => 'showcase_customizer_style_3_autoplay:is(on)'
                ),
        array(
                  'id'          => 'showcase_customizer_style_3_show_arrow',
                  'label'       => 'Display Arrows',
                  'desc'        => 'Enable/Disable left and right navigation arrow of the slider.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'showcase_customizer_section',
                  'class'       => '',
                  'condition'   => 'showcase_customizer_style_3_autoplay:is(on)'
                ),
        array(
                  'id'          => 'showcase_customizer_style_3_loop',
                  'label'       => 'Loop',
                  'desc'        => 'Enable/Disable Loop around when the start or end is reached.',
                  'std'         => 'off',
                  'type'        => 'on-off',
                  'section'     => 'showcase_customizer_section',
                  'class'       => '',
                  'condition'   => 'showcase_customizer_style_3_autoplay:is(on)'
                ),

        /*array(
          'id'          => 'qcpo_tpl16_bg_variation',
          'label'       => 'Background Variation',
          'std'         => '1',
          'type'        => 'select',
          'section'     => 'tpl_customizer_section',
          'class'       => '',
          'choices'     => array( 
              array(
                'value'       => '1',
                'label'       => __( 'Background 01', 'portfolio-x' ),
              ),
              array(
                'value'       => '2',
                'label'       => __( 'Background 02', 'portfolio-x' ),
              ),
              array(
                'value'       => '3',
                'label'       => __( 'Background 03', 'portfolio-x' ),
              ),
              array(
                'value'       => '4',
                'label'       => __( 'Background 04', 'portfolio-x' ),
              ),
              array(
                'value'       => '5',
                'label'       => __( 'Background 05', 'portfolio-x' ),
              ),
              array(
                'value'       => '6',
                'label'       => __( 'Background 06', 'portfolio-x' ),
              ),
              array(
                'value'       => '7',
                'label'       => __( 'Background 07', 'portfolio-x' ),
              ),
              array(
                'value'       => '8',
                'label'       => __( 'Background 08', 'portfolio-x' ),
              ),
              array(
                'value'       => '9',
                'label'       => __( 'Background 09', 'portfolio-x' ),
              ),
              array(
                'value'       => '10',
                'label'       => __( 'Background 10', 'portfolio-x' ),
              ),
              array(
                'value'       => '11',
                'label'       => __( 'Background 11', 'portfolio-x' ),
              ),
              array(
                'value'       => '12',
                'label'       => __( 'Background 12', 'portfolio-x' ),
              ),
              array(
                'value'       => '13',
                'label'       => __( 'Background 13', 'portfolio-x' ),
              ),
              array(
                'value'       => '14',
                'label'       => __( 'Background 14', 'portfolio-x' ),
              ),
              array(
                'value'       => '15',
                'label'       => __( 'Background 15', 'portfolio-x' ),
              ),
              array(
                'value'       => '16',
                'label'       => __( 'Background 16', 'portfolio-x' ),
              ),
              array(
                'value'       => '17',
                'label'       => __( 'Background 17', 'portfolio-x' ),
              ),
              array(
                'value'       => '18',
                'label'       => __( 'Background 18', 'portfolio-x' ),
              ),
              array(
                'value'       => '19',
                'label'       => __( 'Background 19', 'portfolio-x' ),
              ),
              array(
                'value'       => '20',
                'label'       => __( 'Background 20', 'portfolio-x' ),
              ),
              array(
                'value'       => '21',
                'label'       => __( 'Background 21', 'portfolio-x' ),
              ),
              array(
                'value'       => '22',
                'label'       => __( 'Background 22', 'portfolio-x' ),
              ),
              array(
                'value'       => '23',
                'label'       => __( 'Background 23', 'portfolio-x' ),
              ),
              array(
                'value'       => '24',
                'label'       => __( 'Background 24', 'portfolio-x' ),
              ),
              array(
                'value'       => '25',
                'label'       => __( 'Background 25', 'portfolio-x' ),
              ),
              array(
                'value'       => '26',
                'label'       => __( 'Background 26', 'portfolio-x' ),
              ),
              array(
                'value'       => '27',
                'label'       => __( 'Background 27', 'portfolio-x' ),
              ),
          )
        ),*/
        array(
            'id'          => 'qcpo_tpl16_bg_img',
            'label'       => 'Background Variations',
            'std'         => '',
            'type'        => 'radio_image',
            'section'     => 'tpl_customizer_section',
            'class'       => '',
            'choices'     => array( 
                array(
                  'value'       => 'bg1.png',
                  'label'       => __( 'Background 01', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg1.png',
                ),
                array(
                  'value'       => 'bg2.png',
                  'label'       => __( 'Background 02', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg2.png',
                ),
                array(
                  'value'       => 'bg3.png',
                  'label'       => __( 'Background 03', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg3.png',
                ),
                array(
                  'value'       => 'bg4.png',
                  'label'       => __( 'Background 04', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg4.png',
                ),
                array(
                  'value'       => 'bg5.png',
                  'label'       => __( 'Background 05', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg5.png',
                ),
                array(
                  'value'       => 'bg6.png',
                  'label'       => __( 'Background 06', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg6.png',
                ),
                array(
                  'value'       => 'bg7.png',
                  'label'       => __( 'Background 07', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg7.png',
                ),
                array(
                  'value'       => 'bg8.png',
                  'label'       => __( 'Background 08', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg8.png',
                ),
                array(
                  'value'       => 'bg9.png',
                  'label'       => __( 'Background 09', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg9.png',
                ),
                array(
                  'value'       => 'bg10.png',
                  'label'       => __( 'Background 10', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg10.png',
                ),
                array(
                  'value'       => 'bg11.png',
                  'label'       => __( 'Background 11', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg11.png',
                ),
                array(
                  'value'       => 'bg12.png',
                  'label'       => __( 'Background 12', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg12.png',
                ),
                array(
                  'value'       => 'bg13.png',
                  'label'       => __( 'Background 13', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg13.png',
                ),
                array(
                  'value'       => 'bg14.png',
                  'label'       => __( 'Background 14', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg14.png',
                ),
                array(
                  'value'       => 'bg15.png',
                  'label'       => __( 'Background 15', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg15.png',
                ),
                array(
                  'value'       => 'bg16.png',
                  'label'       => __( 'Background 16', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg16.png',
                ),
                array(
                  'value'       => 'bg17.png',
                  'label'       => __( 'Background 17', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg17.png',
                ),
                array(
                  'value'       => 'bg18.png',
                  'label'       => __( 'Background 18', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg18.png',
                ),
                array(
                  'value'       => 'bg19.png',
                  'label'       => __( 'Background 19', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg19.png',
                ),
                array(
                  'value'       => 'bg20.png',
                  'label'       => __( 'Background 20', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg20.png',
                ),
                array(
                  'value'       => 'bg21.png',
                  'label'       => __( 'Background 21', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg21.png',
                ),
                array(
                  'value'       => 'bg22.png',
                  'label'       => __( 'Background 22', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg22.png',
                ),
                array(
                  'value'       => 'bg23.png',
                  'label'       => __( 'Background 23', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg23.png',
                ),
                array(
                  'value'       => 'bg24.png',
                  'label'       => __( 'Background 24', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg24.png',
                ),
                array(
                  'value'       => 'bg25.png',
                  'label'       => __( 'Background 25', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg25.png',
                ),
                array(
                  'value'       => 'bg26.png',
                  'label'       => __( 'Background 26', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg26.png',
                ),
                array(
                  'value'       => 'bg27.png',
                  'label'       => __( 'Background 27', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg27.png',
                ),
                array(
                  'value'       => 'bg28.png',
                  'label'       => __( 'Background 28', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg28.png',
                ),
                array(
                  'value'       => 'bg29.png',
                  'label'       => __( 'Background 29', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg29.png',
                ),
                array(
                  'value'       => 'bg30.png',
                  'label'       => __( 'Background 30', 'portfolio-x' ),
                  'src'       => PORTFOLIO_THEME_URL . '/template-x/images/thumbs/bg30.png',
                ),

            )
          ),

				
				//END of TEMPLATE CUSTOMIZER
				
				array(
                  'id'          => 'qcld_port_custom_css',
                  'label'       => 'Custom CSS',
                  'desc'        => 'You can paste or write your custom css here.',
                  'std'         => '',
                  'type'        => 'textarea-simple',
                  'section'     => 'qcld_custom_css',
                  'class'       => ''
                ),
				
				//END of Custom CSS
								

				
              )
            )
          )
        )
      )
    );

  }

}


