<?php
/**
 * 
 */
if( !class_exists('QC_qcpx_Help_License_Sub_Menu') ){

	class QC_qcpx_Help_License_Sub_Menu
	{
		
		function __construct()
		{
			add_action('admin_menu', array($this, 'help_license_submenu') );
		}

		function help_license_submenu(){
			add_submenu_page( 
		        'edit.php?post_type=qcpx_portfolio',
		        'Help & License',
		        'Help & License',
		        'manage_options',
		        'qcld_qcpx_help_license',
		        array($this, 'qcld_qcpx_help_license_callback')
		    );
		}

		function qcld_qcpx_help_license_callback(){
?>
			<div id="wrap">
				<div id="licensing">
						<h1>Please Insert your license Key</h1>
					<div class="qcld-qcpx-section-block">

						<?php
		                    $total_active_domain = 0;
		                    $active_domain_lists = array();
		                    $track_domain_request = wp_remote_get(qcpx_LICENSING_PRODUCT_DEV_URL."wp-json/qc-domain-tracker/v1/getdomain/?license_key=".get_qcpx_licensing_key(), array('timeout' => 300));
		                    if( !is_wp_error( $track_domain_request ) || wp_remote_retrieve_response_code( $track_domain_request ) === 200 ){
		                        $track_domain_result = json_decode($track_domain_request['body']);
		                        
		                        $current_domain_url =  site_url() ;
		                        $current_domain = str_replace(
		                                                array( 'https://', 'http://', 'www.' ),
		                                                array('', '', ''),
		                                                $current_domain_url
		                                            );
		                        if( !empty($track_domain_result) ){
		                            $max_domain_num = $track_domain_result[0]->max_domain + 1;
		                            $total_domains = json_decode($track_domain_result[0]->domain, true);
		                            $total_domains_num = count($total_domains);

		                            foreach ($total_domains as $key => $value) {
		                                if( !isset($value['status']) || $value['status'] == 'active' ){
		                                    $total_active_domain++;
		                                    $active_domain_lists[] = $value['domain_name'];
		                                }
		                            }

		                            if($total_active_domain == $max_domain_num){
		                            //if( $max_domain_num < $total_active_domain ){
		                                //$first_domain_name = $total_domains[0]['domain_name'];
		                                if( !in_array($current_domain, $active_domain_lists) ){
		                                    set_qcpx_invalid_license();
		                                    delete_qcpx_valid_license();
		                        ?>
		                                    <div class="qcld-error-notice">
		                                        <p>You have activated this key for maximum number of sites allowed by your license. Please <a href='https://www.quantumcloud.com/products/'>purchase additional license.</a></p>
		                                    </div>
		                        <?php
		                                }
		                            }
		                        }
		                        
		                    }
		                ?>

		                <?php if( get_qcpx_valid_license() ){ ?>
							<div class="qcld-success-notice">
								<p>Thank you, Your License is active</p>
							</div>
						<?php } ?>
						
						<form onsubmit="return false" id="qc-license-form" method="post" action="options.php">
							<?php
								delete_qcpx_update_transient();
								delete_qcpx_renew_transient();
								
								delete_option('_site_transient_update_plugins');
								settings_fields( 'qcld_qcpx_license' );
								do_settings_sections( 'qcld_qcpx_license' );

								// if( isset($_POST['submit']) ){
								// 	echo 'qcld_qcpx_buy_from_where '.$_POST['qcld_qcpx_buy_from_where'];
								// }
							?>
							<table class="form-table">

								<tr id="quantumcloud_portfolio_license_row" style="display: none">
									<th>
										<label for="qcld_qcpx_enter_license_key">Enter License Key:</label>
									</th>
									<td>
										<input type="<?php echo (get_qcpx_licensing_key()!=''?'password':'text'); ?>" id="qcld_qcpx_enter_license_key" name="qcld_qcpx_enter_license_key" class="regular-text" value="<?php echo get_qcpx_licensing_key(); ?>">
										<p>You can copy the license key from <a target="_blank" href='https://www.quantumcloud.com/products/account/'>your account</a></p>
									</td>
								</tr>

								<tr id="show_envato_plugin_downloader" style="display: none">
									<th>
										<label for="qcld_qcpx_enter_envato_key">Enter Purchase Code:</label>
									</th>
									<td colspan="4">
										<input type="<?php echo (get_qcpx_envato_key()!=''?'password':'text'); ?>" id="qcld_qcpx_enter_envato_key" name="qcld_qcpx_enter_envato_key" class="regular-text" value="<?php echo get_qcpx_envato_key(); ?>">
										<p>You can install the <a target="_blank" href="https://envato.com/market-plugin/">Envato Plugin</a> to stay up to date.</p>
									</td>
								</tr>

							<!-- //start new-update-for-codecanyon -->
			                    <tr>
			                        <th>
			                            <label for="qcld_qcpx_enter_license_or_purchase_key">Enter License Key or Purchase Code:</label>
			                        </th>
			                        <td>
			                            <input type="<?php echo (get_qcpx_license_purchase_code()!=''?'password':'text'); ?>" id="qcld_qcpx_enter_license_or_purchase_key" name="qcld_qcpx_enter_license_or_purchase_key" class="regular-text" value="<?php echo get_qcpx_license_purchase_code(); ?>" required>
			                        </td>
			                    </tr>
			                <!-- //end new-update-for-codecanyon -->

							</table>

							<!-- //start new-update-for-codecanyon -->
			                <input type="hidden" name="qcld_qcpx_buy_from_where" value="<?php echo get_qcpx_licensing_buy_from(); ?>" >
			                <!-- //end new-update-for-codecanyon -->
							<?php submit_button(); ?>
						</form>
					</div>

					<div class="qcld-qcpx-help-section">
							<div class="qcld-qcpx-section-block">
								<h3 class="shortcode-section-title">Example of Shortcode to Display any Portfolio:</h3>
								<p> [portfolio-x portfolio="99"]  </p>
								<p> Here, 99 is portfolio ID, which should be replaced in your case. You can also copy shortcode from portfolio list (Portfolio-X) page. </p>
							</div>
							
							<div class="qcld-qcpx-section-block">	
								<h3 class="shortcode-section-title">Example of Shortcode to Display Portfoli Showcase:</h3>
								<p> [portfolio-x-showcase template="style-01" limit="5" orderby="title" order="ASC"]</p>
							</div>

							<div class="qcld-qcpx-section-block">	
								<h3 class="shortcode-section-title">Available Parameters For Showcase Shortcode:</h3>
								<ol>
									<li>
										<strong><u>orderby:</u></strong> Compatible order by values: "ID", "author", "title", "name", "type", "date", "modified", "rand" and "menu_order".
										
									</li>
								    <li>
										<strong><u>order:</u></strong> Value for this option can be set as "ASC" for Ascending or "DESC" for Descending order.
									</li>
									<li>
										<strong><u>template:</u></strong> Supported values: "style-01", "style-02", "style-03", "style-04", "style-05", "style-06", "style-07".
									</li>
									<li>
										<strong><u>limit:</u></strong> Specify the number of items you want to show. Default value is 5.
									</li>
								</ol>

				        	</div>

				        <div class="qcld-qcpx-section-block">	
							<h3 class="shortcode-section-title">Available Widgets:</h3>
							<p>Two widget variations are avilable in this version:</p>
							<p>You can check "<strong>Appearence</strong> --> <strong>Widgets</strong>" menu. Then "<strong>Portfolio-X : Latest Items</strong>". Tune config options then save the widget. </p>
				        </div>
			        </div>

					<script type="text/javascript">
				        jQuery(document).ready(function(){

				            //start new-update-for-codecanyon
				            jQuery('#qcld_qcpx_enter_license_or_purchase_key').on('focusout', function(){
				            	qc_qcpx_set_plugin_license_fields();
				            });

				            jQuery('#qcld_qcpx_enter_license_or_purchase_key').on('keypress',function (e) {
				            	  qc_qcpx_set_plugin_license_fields();
							});

							jQuery('#qc-license-form input[type="submit"]').on('click', function(){
								qc_qcpx_set_plugin_license_fields();
								jQuery('#qc-license-form').removeAttr('onsubmit').submit();
							});

				            function qc_qcpx_set_plugin_license_fields(){
				                var license_input = jQuery('#qcld_qcpx_enter_license_or_purchase_key').val();
				                if( /^(\w{8})-((\w{4})-){3}(\w{12})$/.test(license_input) ){
				                    jQuery('input[name="qcld_qcpx_buy_from_where"]').val('codecanyon');
				                    jQuery('input[name="qcld_qcpx_enter_envato_key"]').val(license_input);
				                }else{
				                    jQuery('input[name="qcld_qcpx_buy_from_where"]').val('quantumcloud');
				                    jQuery('input[name="qcld_qcpx_enter_license_key"]').val(license_input);
				                }
				            }
				            //end new-update-for-codecanyon

				        });
				    </script>
				</div>
			</div>
<?php
		}
	}

	new QC_qcpx_Help_License_Sub_Menu();
}

