<?php

// Admin end css and jsThe plugin does not have a valid header
add_action('admin_enqueue_scripts', 'qcld_portfolio_admin_enque_script');

function qcld_portfolio_admin_enque_script()
{
    
    $screen = get_current_screen();
	
	if( $screen->id == 'portfolio-x' ) {
	
		wp_enqueue_style('jquery-datepicker', plugins_url('css/jquery-datepicker.css', __FILE__));

    }
		wp_enqueue_script(
			'qcpo-admin-scripts',
			plugins_url('/js/qcpo-admin-scripts.js', __FILE__),
			array('jquery', 'jquery-ui-core', 'jquery-ui-datepicker'),
			time(),
			true
		);


}


add_action('wp_footer', 'qcld_footer_js_loader');

function qcld_footer_js_loader()
{
    wp_enqueue_script('qc_portfolio_custom_script', PORTFOLIO_URL . '/js/script.js', array('jquery'), QC_PORTFOLIO_VER);
}


//All js and Css Are call
function qcld_portfolio_scripts()
{
    wp_enqueue_script('jquery');

    wp_enqueue_script('skrollr', PORTFOLIO_URL . '/js/skrollr.min.js');

    wp_enqueue_script('qc_jquery_flipster_js', PORTFOLIO_URL . '/js/jquery.flipster.min.js', array('jquery') );

    wp_enqueue_script('qc_lity_js', PORTFOLIO_URL . '/js/lity.min.js', array('jquery'));
    wp_enqueue_script('qc_jquery_lazyload_js', PORTFOLIO_URL . '/js/jquery.lazyload.min.js', array('jquery'));

    wp_enqueue_style('qc_font_awesome', PORTFOLIO_URL . '/css/font-awesome.css');
    wp_enqueue_style('qc_jquery_flipster_css', PORTFOLIO_URL . '/css/jquery.flipster.min.css');

    wp_enqueue_style('qc_lity_css', PORTFOLIO_URL . '/css/lity.min.css');

    wp_enqueue_style('qcpo_commom_stylesheet', PORTFOLIO_URL . '/css/common-style.css');
    
}

add_action('wp_enqueue_scripts', 'qcld_portfolio_scripts');

//Custom CSS

add_action('wp_head', 'qcld_add_custom_css_in_head');

function qcld_add_custom_css_in_head()
{
    $customCss = qcpx_get_option('qcld_port_custom_css');

    if( trim($customCss) != "" ){
        ?>
        <style>
            <?php echo trim($customCss); ?>
        </style>
        <?php
    }
}

/*******************************
 * Script for Pro Version
 *******************************/
/*
function qcpx_prox_wp_enqueue_scripts()
{
    wp_register_script('fancy_box_pack', PORTFOLIO_URL . '/js/jquery.fancybox.pack.js', array('jquery'), QC_PORTFOLIO_VER, true);
    wp_register_script('fancy_loader', PORTFOLIO_URL . '/js/fancy_loader.js', array('jquery'), QC_PORTFOLIO_VER, true);
    wp_register_style('qc_fancy_css', PORTFOLIO_URL . '/css/jquery.fancybox.css', true);

    wp_enqueue_script('fancy_box_pack');
    wp_enqueue_script('fancy_loader');
    wp_enqueue_style('qc_fancy_css');
}

add_action('wp_enqueue_scripts', 'qcpx_prox_wp_enqueue_scripts', 95);
*/

/*******************************
 * Font Inclusion : Admin End
 *******************************/
function qcpx_load_admin_google_fonts()
{
    
    wp_enqueue_style('qcpx-admin-style', PORTFOLIO_URL . "css/admin-style.css");

    global $pagenow, $typenow;

    if ( is_admin() && $pagenow=='edit.php' && $typenow=='qcpx_portfolio'){
    
      wp_enqueue_style('qcpx-google-font-api',"https://fonts.googleapis.com/css?family=Aref+Ruqaa%7CDroid+Sans%7CDroid+Serif%7CLora%7CNova+Script%7COpen+Sans%7CPT+Sans+Narrow%7CPlayfair+Display%7CRoboto%7CUbuntu%7CBitter%7CExo%7CMontserrat%7CRaleway%7CSonsie+One");
    
    }
 
}

add_action('admin_init','qcpx_load_admin_google_fonts');

/*******************************
 * Head Style : Font 
 *******************************/
add_action('wp_head', 'qcpx_get_head_style_font_selection');

function qcpx_get_head_style_font_selection()
{
    // Font Settings -->
 
    $google_font = qcpx_get_option('qcpx_use_pre_google_font');
    $custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
    $theme_font = qcpx_get_option('qcpx_use_theme_font');

    if( isset($theme_font) && $theme_font != 'on' )
    {
        if( isset($custom_google_font) && $custom_google_font != '' )
        {
            
            $qcpxgetfamily = explode('family=', $custom_google_font);

            $qcpxfamily = $qcpxgetfamily[1];

            ?>

            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>" rel="stylesheet">

            <style type="text/css">
                .single-portfolio-header, .single-portfolio-header h2.single-portfolio-title, .single-portfolio-header div, .single-portfolio-header a, .single-portfolio-header p, .single-portfolio-footer, .single-portfolio-footer p, .custom-pagination span, .custom-pagination a{
                    font-family: '<?php echo $qcpxfamily; ?>' !important;
                }
            </style>

            <?php
        }
        else
        {
            if( isset($google_font) && $google_font != '' )
            {
                ?>
                    <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>" rel="stylesheet">

                    <style type="text/css">
                        .single-portfolio-header, .single-portfolio-header h2.single-portfolio-title, .single-portfolio-header div, .single-portfolio-header a, .single-portfolio-header p, .single-portfolio-footer, .single-portfolio-footer p, .custom-pagination span, .custom-pagination a{
                            font-family: '<?php echo $google_font; ?>' !important;
                        }
                    </style>
                <?php
            }
        }
    }

    //End of Font Settings -->

}

add_action('wp_head', 'qcpx_get_head_style_extra');

function qcpx_get_head_style_extra()
{
    ?>
    <style type="text/css">
        .single-portfolio-header .single-portfolio-title{
            font-size: <?php echo qcpx_get_option('qcpo_single_title_font_si'); ?>px !important;
        }

        .portfolio-single-content p, .single-portfolio-header div, .single-portfolio-header div p, .single-portfolio-header div a, .single-portfolio-footer, .single-portfolio-footer div{
            font-size: <?php echo qcpx_get_option('qcpo_single_des_font_si'); ?>px !important;
        }
    </style>
    <?php
}

/*******************************
 * Scripts for Magnific Popup
 *******************************/
function qcpx_mfp_portfolio_scripts()
{
    wp_enqueue_script('jquery');

    wp_enqueue_script('px-magnific-poupu-js', PORTFOLIO_URL . '/js/jquery.magnific-popup.min.js');

    wp_enqueue_style('px-magnific-poupu-css', PORTFOLIO_URL . '/css/magnific-popup.css');
    
}

add_action('wp_enqueue_scripts', 'qcpx_mfp_portfolio_scripts', 95);
