<?php

//Register ShortCode
add_shortcode('portfolio-x-showcase', 'qcld_portfolio_showcase_sc');

//Get All portfolio
function qcld_portfolio_showcase_sc( $atts = array() )
{
    
    ob_start();

    qcld_show_showcase_sc( $atts );

    $content = ob_get_clean();

    return $content;

}

function qcld_show_showcase_sc( $atts = array() )
{

    //Defaults & Set Parameters
    extract( shortcode_atts(
        array(
            'orderby' => '',
            'order' => '',
            'template' => 'style-01',
            'limit' => '5',
            'portfolio' => '',
        ), $atts
    ));

    $qVars = array();

    if( $portfolio != "" )
    {
        //Query & Get Portfolio Settings First
        $args = array(
            'post_type' => 'qcpx_portfolio',
            'p' => (int)$portfolio,
        );

        $portfolio = new WP_Query( $args );

        //Portfolio Configs to Fill
        $conf['title'] = "";
        $conf['template'] = "";
        $conf['orderby'] = "";
        $conf['order'] = "";
        $conf['tpl_id'] = "";

        //Check if the supplied portfolio ID is Valid
        if ( $portfolio->have_posts() ) 
        {

            while ( $portfolio->have_posts() ) 
            {
                
                $portfolio->the_post();

                $meta = get_post_meta( get_the_ID() );
                
                //Portfolio Configs to Fill
                $conf['tpl_id'] = get_the_ID();
                $conf['title'] = get_the_title();
                $conf['template'] = get_post_meta( get_the_ID(), 'qc_port_settings_template', true );
                $conf['orderby'] = get_post_meta( get_the_ID(), 'qc_port_settings_orderby', true );
                $conf['order'] = get_post_meta( get_the_ID(), 'qc_port_settings_order', true );

            }

            /* Restore original Post Data */
            wp_reset_postdata();
        } 
        else 
        {
            _e("No valid portfolio was found according to your supplied portfolio ID.", "portfolio-x");
            return;
        }

        if( $orderby == "" ){
            $orderby = $conf['orderby'];
        }

        if( $order == "" ){
            $order = $conf['order'];
        }

        //Now Query and Get Portfolio Items
        //$paged = (get_query_var('page')) ? get_query_var('page') : 1;
        $paged = isset($_GET['portfolio_page']) && intval( $_GET['portfolio_page'] > 0 ) ? $_GET['portfolio_page'] : 1;
        
        $perPage = qcpx_get_option('qcld_post_per_page');

        if( $limit != '' ){
            $perPage = $limit;
        }

        $qVars = array(
            'orderby' => $orderby, 
            'order' => $order, 
            'post_type' => 'portfolio-x', 
            'posts_per_page' => $perPage, 
            'post_status' => 'publish', 
            'paged' => $paged,
            'meta_query' => array(
                array(
                    'key'     => 'qc_portfolio_portfolio_assigned',
                    'value'   => $conf['tpl_id'],
                    'compare' => 'LIKE',
                ),
            ),
        );
    }
    else
    {
        $qVars = array(
            'orderby' => $orderby, 
            'order' => $order, 
            'post_type' => 'portfolio-x', 
            'posts_per_page' => $limit, 
            'post_status' => 'publish', 
        );

    }
    
    $portfolio = new WP_Query( $qVars );

    if( $template == "" )
    {
        $template = "style-01";
    }

    //Check if the supplied portfolio ID is Valid
    if ( $portfolio->have_posts() ) 
    {

        require( PORTFOLIO_THEMES_DIR . "/showcase/" . $template . "/index.php" );

    }
    else
    {
        _e("No portfolio items was found.", 'portfolio-x');
    }

}
