<?php

add_action('wp_head', 'qcpx_qcopd_ajax_ajaxurl_portfoliox');

function qcpx_qcopd_ajax_ajaxurl_portfoliox() {

   echo '<script type="text/javascript">
           var ajaxURL = "' . admin_url('admin-ajax.php') . '";
         </script>';
}

//More posts - first for logged in users, other for not logged in
add_action('wp_ajax_ajax_next_posts', 'qcpx_ajax_next_posts');
add_action('wp_ajax_nopriv_ajax_next_posts', 'qcpx_ajax_next_posts');

function qcpx_ajax_next_posts() {

    //Build query
    $args = array();

    $count_results = '0';
    

    $args = array(
            'orderby' => $_GET['post_orderby'], 
            'order' => $_GET['post_order'], 
            'post_type' => 'portfolio-x', 
            'posts_per_page' => $_GET['post_perpage'], 
            'offset' => (int)$_GET['post_offset'], 
            'post_status' => 'publish',
            'meta_query' => array(
                array(
                    'key'     => 'qc_portfolio_portfolio_assigned',
                    'value'   => $_GET['post_pid'],
                    'compare' => 'LIKE',
                ),
            ),
        );

    $query_results = new WP_Query( $args );

    //Results found
    if ( $query_results->have_posts() ) {

        $count_results = $query_results->found_posts;

        //Start "saving" results' HTML
        $results_html = '';

        ob_start();

        while ( $query_results->have_posts() ) { 

            $query_results->the_post();

            ?>
            <!-- list-item -->
                <li id="portfolio-id-<?php echo get_the_ID(); ?>" class="list-item single-post wow zoomIn" data-wow-offset="10" data-wow-iteration="1" data-wow-duration="1.1s">                                                                
                    <?php if( $target_open == 'separate-page' ) : ?>
                        <a class="qcld_box" href="<?php echo get_permalink(); ?>">
                    <?php else : ?>
                       <a class="qcld_box" href="#inline-<?php echo get_the_ID(); ?>">
                    <?php endif; ?>                                                                   
                        <div class="sl-list-content">
                            <div class="sl-list-image">
                                <?php 
                                    echo get_the_post_thumbnail($post->ID, 'full', array('class' => 'portfolio_img')); 
                                ?>
                            </div>
                            <div class="sl-list-text">
                                <h3 class="sl-list-title">
                                    <?php the_title(); ?>
                                </h3>
                            </div>
                            
                        </div>
                        <!-- /sl-list-content -->

                    </a>

                    <!--lightbox-content-->
                    <div style="display: none;">

                        <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>">
                            <?php

                            $short_description = get_post_meta(get_the_ID(), 'qc_portfolio_wysiwyg', true);
                            $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true);
                            $techUsed = get_post_meta(get_the_ID(), 'qc_portfolio_technology', true);
                            $projectDate = get_post_meta(get_the_ID(), 'qc_portfolio_project_date', true);
                            $projectGallery = get_post_meta(get_the_ID(), 'qc_portfolio_gallery_images', true);
                            $startDate = get_post_meta(get_the_ID(), 'qcld_start_date', true);
                            $endDate = get_post_meta(get_the_ID(), 'qcld_end_date', true);
                            ?>


                            <div class="portfolio-single-container portfolio-fancy-container">
                                <div class="portfolio-row">

                                    <div class="portfolio-single-col single-content-area">
                                        <div class="padding-content">
                                            <div class="portfolio-single-content fancy-fixed-content">
                                                
                                                <div class="single-portfolio-header">

                                                    <h2 class="single-portfolio-title">
                                                        <?php the_title(); ?> 
                                                    </h2>

                                                    <div>
                                                        <?php the_content(); ?>
                                                    </div>

                                                    <br>
                                                    
                                                    <p>
                                                        <strong>Project Date</strong>
                                                    </p>

                                                    <?php if (!empty($startDate)){ ?>
                                                       <p>
                                                           <?php 
                                                                _e("Start Date: ", 'portfilio-x'); 
                                                            ?>
                                                           <?php echo gmdate('Y-m-d', $startDate); ?>
                                                       </p>
                                                    <?php } ?>
                                                    <?php if (!empty($endDate)){ ?>
                                                        <p>
                                                            <?php 
                                                                _e("End Date: ", 'portfilio-x'); 
                                                            ?>
                                                            <?php echo gmdate('Y-m-d', $endDate); ?>
                                                        </p>

                                                        <br>

                                                    <?php } ?>

                                                    <div class="web-link">
                                                        <a target="_blank" href="<?php echo $portfoliourl; ?>">
                                                            <?php
                                                                _e("Visit Website", 'portfilio-x'); 
                                                            ?>

                                                            <i class="fa fa-arrow-right" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                    <!--web-link-->

                                                </div>
                                                <!--/single-portfolio-header-->

                                                <div class="single-portfolio-footer">
                                                    <?php
                                                        $types = get_the_terms( get_the_ID(), 'portfolio_type' );
                                                        $total = count( $types );
                                                        $serial = 1;

                                                        if( $types && $total > 0 ){

                                                    ?>

                                                        <div class="category">
                                                            <p>
                                                            <strong>
                                                            <?php 
                                                                _e("Types: ", 'portfilio-x'); 
                                                            ?>
                                                            </strong>
                                                            <?php
                                                                
                                                                

                                                                    foreach( $types as $type )
                                                                    {
                                                                        echo $type->name;
                                                                        if( $serial != $total ){
                                                                            echo ", ";
                                                                        }
                                                                        $serial++;

                                                                    }

                                                            ?>

                                                            </p>
                                                        </div>

                                                    <?php } ?>

                                                    <?php 
                                                        $techs = get_the_terms( get_the_ID(), 'portfolio_technology' );
                                                        $total = count( $techs );
                                                        $serial = 1;

                                                        if( $techs && $total > 0 ){
                                                    ?>
                                                            
                                                            <div class="category">
                                                                
                                                                <strong>
                                                                <?php 
                                                                    _e("Technology Used: ", 'portfilio-x'); 
                                                                ?>
                                                                </strong>
                                                                <?php
                                                                    
                                                                    foreach( $techs as $tech )
                                                                    {
                                                                        echo $tech->name;
                                                                        if( $serial != $total ){
                                                                            echo ", ";
                                                                        }
                                                                        $serial++;

                                                                    }

                                                                ?>

                                                            </div>

                                                    <?php } ?>

                                                    <div class="portfolio-projects-nav">
                                                        <?php previous_post_link('%link', '<div class="icon">
                                                                <i class="fa fa-arrow-left"></i>
                                                                <span>prev</span>' . _x('', 'Previous post link', '') . '</div>'); ?>

                                                        <?php next_post_link('%link', '<div class="icon">
                                                                <i class="fa fa-arrow-right"></i>
                                                                <span>next</span>' . _x('', 'Next post link', '') . '</div>'); ?>
                                                    </div>
                                                    <!--portfolio-projects-nav-->
                                                </div>
                                                <!--/single-portfolio-footer-->

                                                <div class="clear"></div>
                                            </div>
                                            <!--portfolio-single-content-->
                                        </div>
                                        <!--padding-content-->
                                        <div class="clear"></div>
                                    </div>
                                    <!--portfolio-single-col-->
                                    <div class="portfolio-single-col single-image-area">
                                        <div class="single-image-container">
                                            <?php if (!empty($projectGallery)) { ?>

                                                <?php foreach ($projectGallery as $gallery_image): ?>


                                                    <a class="single_image" rel="gallery-<?php echo $post->ID; ?>" href="<?php echo $gallery_image ?>">
                                                        <img class="hvr-grow-shadow" src="<?php echo $gallery_image ?>" alt="">
                                                    </a>


                                                <?php endforeach; ?>

                                            <?php } else { ?>

                                                <img width="150" height="150" class="attachment-thumbnail wp-post-image"
                                                     src="<?php echo PORTFOLIO_URL; ?>/images/no_images.jpg"/>
                                                     
                                            <?php } ?>

                                        </div>


                                    </div>
                                    <!--portfolio-single-col-->
                                    <div class="clear"></div>
                                </div>
                                <!--portfolio-row-->
                                <div class="clear"></div>

                            </div>
                            <!--                    portfolio-single-container-->
                        </div>
                    </div>
                    <!--/lightbox-content-->
                    
                </li>
                <!-- /list-item -->
            <?php 
        }    

        //"Save" results' HTML as variable
        $results_html = ob_get_clean();  
    }

    //Build ajax response
    $response = array();

    //1. value is HTML of new posts and 2. is total count of posts
    array_push ( $response, $results_html, $count_results );
    echo json_encode( $response );

    //Always use die() in the end of ajax functions
    die();  
}
