<!--Adding Template Specific Style -->

<?php

	wp_enqueue_style('qcld-tpl1-hover-css', PORTFOLIO_THEME_URL . "/" . $theme . "/css/hover.css");
	wp_enqueue_style('qcld-tpl1-layout-css', PORTFOLIO_THEME_URL . "/" . $theme . "/css/layout.css");
	
	if (qcpx_get_option('qcpo_tpl1_color_scheme') == 2) 
	{
		wp_enqueue_style('qcld-tpl1-style-dark-css', PORTFOLIO_THEME_URL . "/" . $theme . "/css/portfolio-style-dark.css");
	}
	else
	{
		wp_enqueue_style('qcld-tpl1-style-white-css', PORTFOLIO_THEME_URL . "/" . $theme . "/css/portfolio-style-white.css");
	}
	
?>

<!-- Font Settings -->
<?php
 
    $google_font = qcpx_get_option('qcpx_use_pre_google_font');
    $custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
    $theme_font = qcpx_get_option('qcpx_use_theme_font');

    if( isset($theme_font) && $theme_font != 'on' )
    {
        if( isset($custom_google_font) && $custom_google_font != '' )
        {
            
            $qcpxgetfamily = explode('family=', $custom_google_font);

            $qcpxfamily = $qcpxgetfamily[1];

            ?>

            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>" rel="stylesheet">

            <style type="text/css">
                .portfolio-parallax-number h1, .portfolio-parallax-text-holder h3, .portfolio-parallax-text-holder p, .portfolio-parallax-text-holder p a, .portfolio-parallax-text-holder a, .qc_filter a span{
                    font-family: '<?php echo $qcpxfamily; ?>' !important;
                }
            </style>

            <?php
        }
        else
        {
            if( isset($google_font) && $google_font != '' )
            {
                ?>
                    <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>" rel="stylesheet">

                    <style type="text/css">
                        .portfolio-parallax-number h1, .portfolio-parallax-text-holder h3, .portfolio-parallax-text-holder p, .portfolio-parallax-text-holder p a, .portfolio-parallax-text-holder a, .qc_filter a span{
                            font-family: '<?php echo $google_font; ?>' !important;
                        }
                    </style>
                <?php
            }
        }
    }

?>
<!-- End of Font Settings -->

<!-- Customized CSS -->
<style>
    .portfolio-parallax-section img {
        box-shadow: 7px 9px 35px -2px <?php echo qcpx_get_option('qcpo_tpl1_img_shading_color'); ?>;
    }
	
	.portfolio-image-holder, .portfolio-image-holder img {
	    -moz-border-radius: <?php echo qcpx_get_option('qcpo_tpl1_qcld_img_border_radius'); ?>px;
		-webkit-border-radius: <?php echo qcpx_get_option('qcpo_tpl1_qcld_img_border_radius'); ?>px;
		border-radius: <?php echo qcpx_get_option('qcpo_tpl1_qcld_img_border_radius'); ?>px;
    }

    .portfolio-parallax-number h1 {
      font-size: <?php echo qcpx_get_option('qcpo_tpl1_num_font_si'); ?>px !important;
    }

    .portfolio-parallax-text-holder h3 {
      font-size: <?php echo qcpx_get_option('qcpo_tpl1_title_font_si'); ?>px !important;
    }

    .portfolio-parallax-text-holder p, .portfolio-parallax-text-holder p a{
      font-size: <?php echo qcpx_get_option('qcpo_tpl1_des_font_si'); ?>px !important;
    }
</style>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$counterStarter = 1;

if( $paged > 1 )
{
   $counterStarter = ( $paged - 1 ) * $itemsPerPage + 1;
}

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = 'off';
$link_title = qcpx_get_option('qcld_link_title');

$numberOfPostsInLoop = $custom_query->post_count;
$isEven = ($numberOfPostsInLoop % 2 == 0);

//var_dump($isEven);

?>

<div class="portfolio-container portfolio-tpl-1" id="portfolio-container"
    <?php
    $qcpx_all_options=get_option('qcpx_plugin_options');
    if($qcpx_all_options['qcld_template_links']=='on' && $qcpx_all_options['qcpx_list_page_width']=='list_box'){
        ?>
        style="max-width:<?php echo $qcpx_all_options['qcpx_list_page_width_val'] ;?>px "
        <?php
    }
    ?>
>
    
    
    <?php 

        if( qcpx_get_option('qcld_template_links') == 'on' )
        {
            qcld_portfolio_list_portfolios();
        }

    ?>

    <div class="portfolio-items clearfix">

    <!-- portfolio-row -->

    <?php
    $i = 1;
    $j = 1;

    global $post;

    $currentLoopCount = 1;
    $rowCount = 0;

    while( $custom_query->have_posts() ) {

        $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

        $custom_query->the_post();

        $appendedClass = "";

        if( $isEven == false && $currentLoopCount == $numberOfPostsInLoop ){
          $appendedClass = "hasOnlySingleItem";  
        }
                
        $imgsrc = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), "Portfolio Size");

        $portfoliourl = get_post_meta($post->ID, 'qc_portfolio_url', true); 

        $portfolio_in_popup = get_post_meta($post->ID, 'qc_portfolio_show_website_on_iframe_popup', true); 

        $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), "full");

        if( get_post_meta( $post->ID, 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
            $fullImgUrl = wp_get_attachment_image_src( get_post_meta( $post->ID, 'qc_portfolio_custom_thumbnail_id', true), 'full');
        }
    ?>

        <?php 
            $ptop = '180px';
            $pclass = "";
            if( $currentLoopCount == 1 ){
                $ptop = '120px';
                $pclass = "pfirst-item";
            }
        ?>

        <?php if ($rowCount == 0) { ?>

            <div class="portfolio-row">

            <div class="portfolio-parallax-section parallax-section-01 <?php echo $appendedClass .' ' . $pclass; ?>" <?php if ($rowCount == 0) {
                echo 'style="top: '.$ptop.';"';
            } ?> >

            <?php
        }
        ?>

        <div class="portfolio-parallax-number-layout-0<?php echo $rowCount + 1; ?> portfolio-parallax-number parallax-element"
            data-bottom-top="transform[customEase]:translateY(30px)"
            data-top-bottom="transform[customEase]:translateY(-100px)">
            <?php if( qcpx_get_option('qcpo_tpl1_serial_number') == 'on' ) : ?>
            <div>
                <h1>
                    <?php 
                        echo sprintf("%02d", $counterStarter); 
                    ?>
                </h1>
            </div>
            <?php endif; ?>
        </div>
        <!-- portfolio-parallax-number-->
        <div
            class="portfolio-parallax-text-holder portfolio-parallax-text-holder-layout-0<?php echo $rowCount + 1; ?> parallax-element parallax-text-holder"
            data-bottom-top="transform[customEase]:translateY(30px)"
            data-top-bottom="transform[customEase]:translateY(-100px)">

            <?php if( $link_title == 'on' ) : ?>

                <?php if( $target_open == 'separate-page' ) : ?>
                    <a class="qcld_box" href="<?php echo get_permalink(); ?>">
                        <h3>
                            <?php the_title(); ?>
                        </h3>
                    </a>
                <?php else : ?>
                   <a class="px-open-popup-il load-content-inlb" data-pid="<?php echo $post->ID; ?>" data-mfp-src="#inline-<?php echo $post->ID; ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                        <h3>
                            <?php the_title(); ?>
                        </h3>
                    </a> 
                <?php endif; ?>

            <?php else: ?>
                <h3>
                    <?php the_title(); ?>
                </h3>
            <?php endif; ?>

            <p>
                <?php //$short_description = get_post_meta( get_the_ID(), 'qc_portfolio_wysiwyg', true);
                //echo $short_description;
                $content = get_the_content();
                echo $content;
                ?>
            </p>

            <?php 
                $disp_stat = get_post_meta( get_the_ID(), 'qc_portfolio_disp_url', true);
                $url = get_post_meta( get_the_ID(), 'qc_portfolio_url', true);
            ?>
            <?php if( $disp_stat == 'on' ) : ?>
            <p>
                <a href="<?php echo $url; ?>" target="_blank">
                    <strong>
                        <?php _e('Visit Website', 'portfolio-x'); ?>
                    </strong>
                </a>
            </p>
            <?php endif; ?>

        </div>
        <!-- parallax-text-holder-->
        <div class="portfolio-image-holder portfolio-image-holder-layout-0<?php echo $rowCount + 1; ?> parallax-element parallax-img-holder portfolio-fire-hover"
            data-bottom-top="transform[customEase]:translateY(30px)"
            data-top-bottom="transform[customEase]:translateY(-150px)">

            <?php 
                $thumbImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), "qc-portfolio");

                $thumbnail_img = get_the_post_thumbnail($post->ID, 'qc-portfolio', array('class' => 'portfolio_img'));

                if( get_post_meta( $post->ID, 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                    $thumbnail_img = wp_get_attachment_image( get_post_meta( $post->ID, 'qc_portfolio_custom_thumbnail_id', true), 'qc-portfolio', array('class' => 'portfolio_img'));
                    $thumbImgUrl = wp_get_attachment_image_src( get_post_meta( $post->ID, 'qc_portfolio_custom_thumbnail_id', true), 'qc-portfolio');
                }
                
                $lazyload = qcpx_get_option('qcpo_tpl1_lazyload'); 
            ?>

            <?php if( isset($lazyload) && $lazyload == 'on') : ?>

                <img class="lazy" data-original="<?php echo $thumbImgUrl[0]; ?>" width="666" height="783">

            <?php else : ?>

                <?php echo $thumbnail_img; ?>

            <?php endif; ?>

            <!--new hover effect-->
            <div class="qc-grid-hover-effect">
                <div class="qc-grid-hover-effect-button">
                    <div class="qc-grid-hover-effect-button-area">
                        <a class="first-anchor" href="<?php echo $fullImgUrl[0]; ?>" data-lity title="<?php _e('Zoom Image'); ?>">
                            <i class="fa fa-search"></i>
                        </a>

                        <?php if( isset($portfoliourl) && $portfoliourl != "" ) : ?>
                            <?php if( isset($portfolio_in_popup) && $portfolio_in_popup == "on" ){ ?>
                                <a class="second-anchor qcld-iframe-popup" data-mfp-src="<?php echo $portfoliourl; ?>" href="<?php echo $portfoliourl; ?>" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php }else{ ?>
                                <a class="second-anchor" href="<?php echo $portfoliourl; ?>" target="_blank" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php } ?>
                        <?php endif; ?>
                        
                        <?php if( $target_open == 'separate-page' ) : ?>
                            <a class="third-anchor" href="<?php echo get_permalink(); ?>" title="<?php _e('View Details'); ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a>
                        <?php else : ?>
                            <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo $post->ID; ?>" data-mfp-src="#inline-<?php echo $post->ID; ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a> 
                        <?php endif; ?>

                    </div>
                    <!--/qc-circle-grid-button-area-->
                </div>
            </div>
            <!--/new hover effect-->


            <!-- #dump-content -->
            <div style="display: none;">
               <!-- Contents Will be dumpped here --> 
               <div class="inside-popup-details" id="inline-<?php echo $post->ID; ?>-<?php echo $randomNum; ?>">
                   <div id="dump-content-<?php echo $post->ID; ?>-<?php echo $randomNum; ?>">
                       
                   </div>
               </div>
            </div>
            <!-- /#dump-content -->

        </div>
        <!--            parallax-img-holder-->

        <?php
        if ($rowCount == 1) {
            ?>
            </div>
            <!--portfolio-parallax-section-->
            <div class="clear"></div>
            </div>
            <!--portfolio-row-->
            <div class="clear"></div>
            <?php
        }

        if( $isEven == false && $currentLoopCount == $numberOfPostsInLoop ){
            echo '</div>
            <!--portfolio-parallax-section-->
            <div class="clear"></div>
            </div>
            <!--portfolio-row-->
            <div class="clear"></div>';
        }

        $rowCount++;
        $currentLoopCount++;
        $counterStarter++;

        if ($rowCount == 2) {
            $rowCount = 0;
        }

        ?>

        <?php
    }
    wp_reset_postdata();
    ?>

        <div class="clear"></div>

    </div>

    <div class="portfolio-row portfolio-pagination">
        <?php

            $maxNumPage = $custom_query->max_num_pages;

            qcld_custom_pagination( $maxNumPage, "", $paged );

        ?>
    </div>

</div>
<!--end portfolio-container-->
<!---->

