<!--Adding Template Specific Style -->

<?php

	wp_enqueue_style( 'qcld-tpl2-layout-catalog-css', PORTFOLIO_THEME_URL . "/" . $theme . "/css/layout-catalog.css" );

?>

<!-- Font Settings -->
<?php
 
    $google_font = qcpx_get_option('qcpx_use_pre_google_font');
    $custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
    $theme_font = qcpx_get_option('qcpx_use_theme_font');

    if( isset($theme_font) && $theme_font != 'on' )
    {
        if( isset($custom_google_font) && $custom_google_font != '' )
        {
            
            $qcpxgetfamily = explode('family=', $custom_google_font);

            $qcpxfamily = $qcpxgetfamily[1];

            ?>

            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>" rel="stylesheet">

            <style type="text/css">
                .qc-grid-portfolio-info h3, .qc_filter a span{
                    font-family: '<?php echo $qcpxfamily; ?>' !important;
                }
            </style>

            <?php
        }
        else
        {
            if( isset($google_font) && $google_font != '' )
            {
                ?>
                    <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>" rel="stylesheet">

                    <style type="text/css">
                        .qc-grid-portfolio-info h3, .qc_filter a span{
                            font-family: '<?php echo $google_font; ?>' !important;
                        }
                    </style>
                <?php
            }
        }
    }

?>
<!-- End of Font Settings -->

<!-- Customized CSS -->
<style>
    .portfolio-tpl2-container {
        background-color: <?php echo qcpx_get_option('qcpo_tpl2_container_bg_color'); ?> !important;
    }

    .portfolio-tpl2-container .qc-grid-portfolio-info a, .portfolio-tpl2-container .qc-grid-portfolio-info a h3 {
      color: <?php echo qcpx_get_option('qcpo_tpl2_title_txt_color'); ?>;
    }

    .portfolio-tpl2-container .qc-grid-portfolio-item {
      -moz-border-radius: <?php echo qcpx_get_option('qcpo_tpl2_item_border_radius'); ?>px;
      -webkit-border-radius: <?php echo qcpx_get_option('qcpo_tpl2_item_border_radius'); ?>px;
      border-radius: <?php echo qcpx_get_option('qcpo_tpl2_item_border_radius'); ?>px;
    }

    .portfolio-tpl2-container .qc-grid-portfolio-item {
        margin-right: <?php echo qcpx_get_option('qcpo_tpl2_item_margin_rt'); ?>px;
        margin-bottom: <?php echo qcpx_get_option('qcpo_tpl2_item_margin_bt'); ?>px;
        margin-top: <?php echo qcpx_get_option('qcpo_tpl2_item_margin_tp'); ?>px;
        margin-left: <?php echo qcpx_get_option('qcpo_tpl2_item_margin_lt'); ?>px;
    }

    .qc-grid-portfolio-info h3, .qc-grid-portfolio-info a h3 {
      font-size: <?php echo qcpx_get_option('qcpo_tpl2_title_font_si'); ?>px !important;
    }
</style>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$counterStarter = 1;

if( $paged > 1 )
{
   $counterStarter = ( $paged - 1 ) * $itemsPerPage + 1;
}

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');

$numberOfPostsInLoop = $custom_query->post_count;
$isEven = ($numberOfPostsInLoop % 2 == 0);

?>

<!-- filter-row -->
<?php 

    if( qcpx_get_option('qcld_template_links') == 'on' )
    {
        qcld_portfolio_list_portfolios();
    }

?>
<!-- /filter-row -->

<div class="portfolio-container portfolio-tpl2-container" id="portfolio-container"
    <?php
    $qcpx_all_options=get_option('qcpx_plugin_options');
    if($qcpx_all_options['qcld_template_links']=='on' && $qcpx_all_options['qcpx_list_page_width']=='list_box'){
        ?>
        style="max-width:<?php echo $qcpx_all_options['qcpx_list_page_width_val'] ;?>px "
        <?php
    }
    ?>

>

    <div class="portfolio2-wrapper">

    <?php
    $i = 1;
    $j = 1;

    global $post;

    $currentLoopCount = 1;
    $rowCount = 0;

    //while-loop start
	while( $custom_query->have_posts() ) {

        $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

        $custom_query->the_post();

        $appendedClass = "";

        if( $isEven == false && $currentLoopCount == $numberOfPostsInLoop ){
          $appendedClass = "hasOnlySingleItem";  
        }
                
        $imgsrc = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "Portfolio Size");

        $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true); 

        $portfolio_in_popup = get_post_meta($post->ID, 'qc_portfolio_show_website_on_iframe_popup', true); 

        $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");

        if( get_post_meta( $post->ID, 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
            $fullImgUrl = wp_get_attachment_image_src( get_post_meta( $post->ID, 'qc_portfolio_custom_thumbnail_id', true), 'full');
        }
    ?>
	
	<div class="qc-grid-portfolio-item portfolio-fire-hover">
        <div class="qc-grid-portfolio-img">
            
            <?php 
                $thumbImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "tpl2-thumb");
                
                $thumbnail_img = get_the_post_thumbnail(get_the_ID(), 'tpl2-thumb', array('class' => 'portfolio_img'));

                if( get_post_meta( $post->ID, 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                    $thumbnail_img = wp_get_attachment_image( get_post_meta( $post->ID, 'qc_portfolio_custom_thumbnail_id', true), 'tpl2-thumb', array('class' => 'portfolio_img'));
                    $thumbImgUrl = wp_get_attachment_image_src( get_post_meta( $post->ID, 'qc_portfolio_custom_thumbnail_id', true), 'tpl2-thumb', array('class' => 'portfolio_img'));
                }

                $lazyload = qcpx_get_option('qcpo_tpl2_lazyload'); 
            ?>

            <?php if( isset($lazyload) && $lazyload == 'on') : ?>

                <img class="lazy" data-original="<?php echo $thumbImgUrl[0]; ?>" width="650" height="650">

            <?php else : ?>

                <?php 
                    echo $thumbnail_img; 
                ?>

            <?php endif; ?>          

			<!--new hover effect-->
            <div class="qc-grid-hover-effect">
                <div class="qc-grid-hover-effect-button">
                    <div class="qc-grid-hover-effect-button-area">
                        <a class="first-anchor" href="<?php echo $fullImgUrl[0]; ?>" data-lity title="<?php _e('Zoom Image'); ?>">
                            <i class="fa fa-search"></i>
                        </a>

                        <?php if( isset($portfoliourl) && $portfoliourl != "" ) : ?>
                            <?php if( isset($portfolio_in_popup) && $portfolio_in_popup == "on" ){ ?>
                                <a class="second-anchor qcld-iframe-popup" data-mfp-src="<?php echo $portfoliourl; ?>" href="<?php echo $portfoliourl; ?>" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php }else{ ?>
                                <a class="second-anchor" href="<?php echo $portfoliourl; ?>" target="_blank" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php } ?>
                        <?php endif; ?>
                        
                        <?php if( $target_open == 'separate-page' ) : ?>
                            <a class="third-anchor" href="<?php echo get_permalink(); ?>" title="<?php _e('View Details'); ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a>
                        <?php else : ?>
                            <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo $post->ID; ?>" data-mfp-src="#inline-<?php echo $post->ID; ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a> 
                        <?php endif; ?>

                    </div>
                    <!--/qc-circle-grid-button-area-->
                </div>
            </div>
            <!--/new hover effect-->

        </div>
        <!--/qc-grid-portfolio-img-->
        <div class="qc-grid-portfolio-info">
            <?php if( $link_title ) : ?>

                <?php if( $target_open == 'separate-page' ) : ?>
                    <a class="qcld_box" href="<?php echo get_permalink(); ?>">
                        <h3>
                            <?php the_title(); ?>
                        </h3>
                    </a>
                <?php else : ?>
                   <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo $post->ID; ?>" data-mfp-src="#inline-<?php echo $post->ID; ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                        <h3>
                            <?php the_title(); ?>
                        </h3>
                    </a> 
                <?php endif; ?>

            <?php else: ?>
                <h3>
                    <?php the_title(); ?>
                </h3>
            <?php endif; ?>

            <?php 
                $techs = get_the_terms( get_the_ID(), 'portfolio_technology' );

                if( $techs ){

                    $total = count( $techs );
                    $serial = 1;

                    if( $techs && $total > 0 ){
                    
                        echo '<div class="info-techs">';

                        foreach( $techs as $tech )
                        {
                            echo $tech->name;
                            if( $serial != $total ){
                                echo " / ";
                            }
                            $serial++;

                        }

                        echo '</div>';
                    }
                }
            ?>
            
        </div>
        <!--/qc-grid-portfolio-info-->
		
		<!--lightbox-content-->
		<!-- #dump-content -->
        <div style="display: none;">
           <!-- Contents Will be dumpped here --> 
           <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                   
               </div>
           </div>
        </div>
        <!-- /#dump-content -->
		<!--/lightbox-content-->

    </div>
	<!--/qc-grid-portfolio-item-->
	
	<?php } wp_reset_postdata(); //while-loop end ?>

        

    <div class="portfolio-row portfolio-pagination">
        <?php

            $maxNumPage = $custom_query->max_num_pages;

            qcld_custom_pagination( $maxNumPage, "", $paged );

        ?>
    </div>
	
	<div class="clear"></div>

    </div>
	
</div>
<!--end portfolio-container-->

