<!--Adding Template Specific Style -->

<link rel="stylesheet" href="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/css/layout-catalog.css"; ?>">
<link rel="stylesheet" href="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/css/animate.css"; ?>">
<script src="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/js/masonry.pkgd.min.js"; ?>"></script>
<script src="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/js/wow.min.js"; ?>"></script>

<!-- Font Settings -->
<?php
 
    $google_font = qcpx_get_option('qcpx_use_pre_google_font');
    $custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
    $theme_font = qcpx_get_option('qcpx_use_theme_font');

    if( isset($theme_font) && $theme_font != 'on' )
    {
        if( isset($custom_google_font) && $custom_google_font != '' )
        {
            
            $qcpxgetfamily = explode('family=', $custom_google_font);

            $qcpxfamily = $qcpxgetfamily[1];

            ?>

            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>" rel="stylesheet">

            <style type="text/css">
                h3.sl-list-title, .qc_filter a span{
                    font-family: '<?php echo $qcpxfamily; ?>' !important;
                }
            </style>

            <?php
        }
        else
        {
            if( isset($google_font) && $google_font != '' )
            {
                ?>
                    <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>" rel="stylesheet">

                    <style type="text/css">
                        h3.sl-list-title, .qc_filter a span{
                            font-family: '<?php echo $google_font; ?>' !important;
                        }
                    </style>
                <?php
            }
        }
    }

?>
<!-- End of Font Settings -->

<!-- Custom CSS -->
<style>
    .sl-list-title {
      font-size: <?php echo qcpx_get_option('qcpo_tpl3_title_size'); ?>px !important;
      color: <?php echo qcpx_get_option('qcpo_tpl3_title_color'); ?> !important;
    }
</style>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');

?>

<!-- filter-row -->
<?php 

    if( qcpx_get_option('qcld_template_links') == 'on' )
    {
        qcld_portfolio_list_portfolios();
    }

?>
<!-- /filter-row -->

<!-- Template Markup --> 
<!-- qcpx_tpl_03 -->  
<div class="qcpx_tpl_03">
    <!-- sl-wrapper -->
    <div class="sl-wrapper">
        <!-- sl-container -->
        <div class="sl-container"
            <?php
            $qcpx_all_options=get_option('qcpx_plugin_options');
            if($qcpx_all_options['qcld_template_links']=='on' && $qcpx_all_options['qcpx_list_page_width']=='list_box'){
                ?>
                style="max-width:<?php echo $qcpx_all_options['qcpx_list_page_width_val'] ;?>px "
                <?php
            }
            ?>

        >

            <div class="hidden-items" style="opacity: 0; height: 1px;">
                <div style="opacity: 0; height: 1px;" id="total-posts-count">7</div>
                <div style="opacity: 0; height: 1px;" id="total-orderby"><?php echo $orderby; ?></div>
                <div style="opacity: 0; height: 1px;" id="total-order"><?php echo $order; ?></div>
                <div style="opacity: 0; height: 1px;" id="total-per-page"><?php echo $perPage; ?></div>
                <div style="opacity: 0; height: 1px;" id="total-portfolio-id"><?php echo $portfolioId; ?></div>
            </div>
            
            <!-- sl-list-menu -->
            <ul id="tpl-adapt-more" class="sl-list-menu masonry">

            <?php 
                
                $counter = 1;

                //while-loop start
                while( $custom_query->have_posts() ) {

                $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

                $custom_query->the_post();

                $class = 'fleft';

                if( $counter % 2 == 0 ){
                    $class = 'fright';
                }

                $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true); 

                $portfolio_in_popup = get_post_meta(get_the_ID(), 'qc_portfolio_show_website_on_iframe_popup', true); 

                $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");

                if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                    $fullImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'full');
                }

            ?>

                <!-- list-item -->
                <li id="portfolio-id-<?php echo get_the_ID(); ?>" class="list-item single-post <?php echo $class; ?> portfolio-fire-hover">                                                                
                   <div class="animation-element bounce-up">
                                                                   
                        <div class="sl-list-content">

                            <div class="sl-list-image">
                                
                                <?php 
                                    $thumbImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");
                                    
                                    $lazyload = qcpx_get_option('qcpo_tpl3_lazyload'); 

                                    $thumbnail_img = get_the_post_thumbnail(get_the_ID(), 'full', array('class' => 'portfolio_img'));

                                    if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                                        $thumbnail_img = wp_get_attachment_image( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'full', array('class' => 'portfolio_img'));
                                        $thumbImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'full' );
                                    }
                                ?>

                                <?php if( isset($lazyload) && $lazyload == 'on') : ?>

                                    <img class="lazy" data-original="<?php echo $thumbImgUrl[0]; ?>">

                                <?php else : ?>

                                    <?php 
                                        echo $thumbnail_img; 
                                    ?>

                                <?php endif; ?>

                                <!--new hover effect-->
                                <div class="qc-grid-hover-effect">
                                    <div class="qc-grid-hover-effect-button">
                                        <div class="qc-grid-hover-effect-button-area">
                                            <a class="first-anchor" href="<?php echo $fullImgUrl[0]; ?>" data-lity title="<?php _e('Zoom Image'); ?>">
                                                <i class="fa fa-search"></i>
                                            </a>

                                            <?php if( isset($portfoliourl) && $portfoliourl != "" ) : ?>
                                                <?php if( isset($portfolio_in_popup) && $portfolio_in_popup == "on" ){ ?>
                                                    <a class="second-anchor qcld-iframe-popup" data-mfp-src="<?php echo $portfoliourl; ?>" href="<?php echo $portfoliourl; ?>" title="Visit Link">
                                                        <i class="fa fa-link"></i>
                                                    </a>
                                                <?php }else{ ?>
                                                    <a class="second-anchor" href="<?php echo $portfoliourl; ?>" target="_blank" title="Visit Link">
                                                        <i class="fa fa-link"></i>
                                                    </a>
                                                <?php } ?>
                                            <?php endif; ?>
                                            
                                            <?php if( $target_open == 'separate-page' ) : ?>
                                                <a class="third-anchor" href="<?php echo get_permalink(); ?>" title="<?php _e('View Details'); ?>">
                                                    <i class="fa fa-plus-circle"></i>
                                                </a>
                                            <?php else : ?>
                                                <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                                                    <i class="fa fa-plus-circle"></i>
                                                </a> 
                                            <?php endif; ?>

                                        </div>
                                        <!--/qc-circle-grid-button-area-->
                                    </div>
                                </div>
                                <!--/new hover effect-->

                            </div>
                            <div class="sl-list-text">
                                <h3 class="sl-list-title">
                                    <?php the_title(); ?>
                                </h3>
                            </div>
                            
                        </div>
                        <!-- /sl-list-content -->

                    </div>
                    <!-- /animation-element bounce-up -->

                    <!--lightbox-content-->
                    <!-- #dump-content -->
                    <div style="display: none;">
                       <!-- Contents Will be dumpped here --> 
                       <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                            <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                               
                           </div>
                       </div>
                    </div>
                    <!-- /#dump-content -->
                    <!--/lightbox-content-->
                    
                </li>
                <!-- /list-item -->

                <?php $counter++; } wp_reset_postdata(); //End of While Loop ?>

            </ul>
            <!-- /sl-list-menu masonry -->

            <!-- <div class="load-more-item" style="text-align: center;">
                <a href="#" id="more-posts-button" class="load-more-btn">Load More...</a>
            </div> -->  

            <div class="portfolio-row portfolio-pagination">
                <?php

                    $maxNumPage = $custom_query->max_num_pages;

                    qcld_custom_pagination( $maxNumPage, "", $paged );

                ?>
            </div>
            
            <div class="clear"></div>            
            
        </div>
        <!-- /sl-container --> 

    </div> 
    <!-- /sl-wrapper --> 

</div>
<!-- /qcpx_tpl_03 -->

<script>
    jQuery(document).ready(function($){

        var $animation_elements = document.getElementsByClassName("animation-element");
        var $window = $(window);

        function check_if_in_view() {
          var window_height = $window.height();
         
          var window_top_position = $window.scrollTop();
          
          var window_bottom_position = (window_top_position + window_height);

          $.each($animation_elements, function() {
            var $element = $(this);
            
            var element_height = $element.outerHeight();
            
            var element_top_position = $element.offset().top;
            var element_bottom_position = (element_top_position + element_height);

            //check to see if this current container is within viewport
            if ((element_bottom_position >= window_top_position) &&
              (element_top_position <= window_bottom_position)) {
              $element.addClass('in-view');
            } else {
              $element.removeClass('in-view');
            }
          });
        }

        $window.on('scroll resize', check_if_in_view);
        $window.trigger('scroll');

    });
</script>

