<!--Adding Template Specific Style -->

<link rel="stylesheet" href="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/css/style.css"; ?>">

<!-- Font Settings -->
<?php
 
    $google_font = qcpx_get_option('qcpx_use_pre_google_font');
    $custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
    $theme_font = qcpx_get_option('qcpx_use_theme_font');

    if( isset($theme_font) && $theme_font != 'on' )
    {
        if( isset($custom_google_font) && $custom_google_font != '' )
        {
            
            $qcpxgetfamily = explode('family=', $custom_google_font);

            $qcpxfamily = $qcpxgetfamily[1];

            ?>

            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>" rel="stylesheet">

            <style type="text/css">
                .qc-clip-grid-portfolio-content h1, .qc_filter a span, .qc-portfolio-x-extend-info p{
                    font-family: '<?php echo $qcpxfamily; ?>' !important;
                }
            </style>

            <?php
        }
        else
        {
            if( isset($google_font) && $google_font != '' )
            {
                ?>
                    <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>" rel="stylesheet">

                    <style type="text/css">
                        .qc-clip-grid-portfolio-content h1, .qc_filter a span, .qc-portfolio-x-extend-info p{
                            font-family: '<?php echo $google_font; ?>' !important;
                        }
                    </style>
                <?php
            }
        }
    }

?>
<!-- End of Font Settings -->

<!-- Custom CSS -->
<style>
    .qc-clip-grid-portfolio-content h1 {
      color: <?php echo qcpx_get_option('qcpo_tpl5_title_color'); ?>;
    }

    .qc-portfolio-x-extend-info p {
      color: <?php echo qcpx_get_option('qcpo_tpl5_text_color'); ?>;
    }

    .portfolio-pagination {
      padding-top: 30px;
    }

    .qc-clip-grid-portfolio-content h1 {
      font-size: <?php echo qcpx_get_option('qcpo_tpl5_title_font_si'); ?>px !important;
    }

    .qc-portfolio-x-extend-info{
        color: #fff;
    }

</style>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');

?>

<!-- filter-row -->
<?php 

    if( qcpx_get_option('qcld_template_links') == 'on' )
    {
        qcld_portfolio_list_portfolios();
    }

?>
<!-- /filter-row -->

<!-- qcpx_tpl_03 -->  
<div class="qcpx_tpl_05">
    <div class="portfolio-container"
        <?php
        $qcpx_all_options=get_option('qcpx_plugin_options');
        if($qcpx_all_options['qcld_template_links']=='on' && $qcpx_all_options['qcpx_list_page_width']=='list_box'){
            ?>
            style="max-width:<?php echo $qcpx_all_options['qcpx_list_page_width_val'] ;?>px "
            <?php
        }
        ?>
    >
        
        <?php 
            //while-loop start
            while( $custom_query->have_posts() ) {

            $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

            $custom_query->the_post();

            $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true); 

            $portfolio_in_popup = get_post_meta(get_the_ID(), 'qc_portfolio_show_website_on_iframe_popup', true); 

            $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");

            if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                $fullImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'full');
            }
        ?>

        <div class="qc-clip-grid-portfolio-item">
            <div class="qc-clip-grid-portfolio-item-inner">
                <div class="qc-clip-grid-portfolio-img">
                    <?php if( $target_open == 'separate-page' ) : ?>
                        <a class="qcld_box" href="<?php echo get_permalink(); ?>">
                    <?php else : ?>
                        <a class="px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                    <?php endif; ?>
                        
                        <?php 
                            $thumbImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "tpl5-thumb");
                            
                            $thumbnail_img = get_the_post_thumbnail(get_the_ID(), 'tpl5-thumb', array('class' => 'portfolio_img'));

                            if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                                $thumbnail_img = wp_get_attachment_image( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'tpl5-thumb', array('class' => 'portfolio_img'));
                                $thumbImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'tpl5-thumb' );
                            }
                            
                            $lazyload = qcpx_get_option('qcpo_tpl5_lazyload');
                        ?>

                        <?php if( isset($lazyload) && $lazyload == 'on') : ?>

                            <img class="lazy" data-original="<?php echo $thumbImgUrl[0]; ?>">

                        <?php else : ?>

                            <?php 
                                echo $thumbnail_img; 
                            ?>

                        <?php endif; ?>

                    </a>
                </div>
                <!--qc-clip-grid-portfolio-img-->

                <div class="qc-clip-grid-portfolio-content">
                    
                    <h1>
                        <?php echo get_the_title(); ?>
                    </h1>

                    <div class="qc-portfolio-x-extend-info">
                        <?php 
                            $startDate = get_post_meta(get_the_ID(), 'qcld_start_date', true);
                            $endDate = get_post_meta(get_the_ID(), 'qcld_end_date', true);
                        ?>
                    <?php if( isset($startDate) && !empty($startDate) ){ ?>
                        <p>
                            Start Date: <?php if( isset($startDate) && !empty($startDate) ){ echo gmdate('Y-m-d', $startDate); } ?>
                        </p>
                        <hr>
                    <?php } ?>
                    <?php if( isset($endDate) && !empty($endDate) ){ ?>
                        <p>
                            End Date: <?php if( isset($endDate) && !empty($endDate) ){ echo gmdate('Y-m-d', $endDate); } ?>
                        </p>
                    <?php } ?>
                    </div>
                    <!--qc-portfolio-extend-info-->

                    <!--new hover effect-->
                    <div class="qc-grid-hover-effect-button-area bare-buttons">

                        <a class="first-anchor" href="<?php echo $fullImgUrl[0]; ?>" data-lity title="<?php _e('Zoom Image'); ?>">
                            <i class="fa fa-search"></i>
                        </a>

                        <?php if( isset($portfoliourl) && $portfoliourl != "" ) : ?>
                            <?php if( isset($portfolio_in_popup) && $portfolio_in_popup == "on" ){ ?>
                                <a class="second-anchor qcld-iframe-popup" data-mfp-src="<?php echo $portfoliourl; ?>" href="<?php echo $portfoliourl; ?>" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php }else{ ?>
                                <a class="second-anchor" href="<?php echo $portfoliourl; ?>" target="_blank" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php } ?>
                        <?php endif; ?>
                        
                        <?php if( $target_open == 'separate-page' ) : ?>
                            <a class="third-anchor" href="<?php echo get_permalink(); ?>" title="<?php _e('View Details'); ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a>
                        <?php else : ?>
                            <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a> 
                        <?php endif; ?>

                    </div>
                    <!--/qc-circle-grid-button-area-->
                    <!--/new hover effect-->
                    
                </div>
                <!--qc-clip-grid-portfolio-img-->

            </div>
        </div>
        <!--/qc-clip-grid-portfolio-item-->

        <!-- #dump-content -->
        <div style="display: none;">
           <!-- Contents Will be dumpped here --> 
           <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                   
               </div>
           </div>
        </div>
        <!-- /#dump-content -->

        <?php }  wp_reset_postdata(); //end while ?>

    </div>
    <!-- /portfolio-container -->

</div>
<!-- /qcpx_tpl_05 -->

<div>
        
    <div class="clear"></div>

    <div class="portfolio-row portfolio-pagination">
        <?php

            $maxNumPage = $custom_query->max_num_pages;

            qcld_custom_pagination( $maxNumPage, "", $paged );

        ?>
    </div>
    
    <div class="clear"></div>
    
</div>