<!--Adding Template Specific Style -->

<link rel="stylesheet" href="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/css/style.css"; ?>">

<script src="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/js/modernizr.custom.js"; ?>"></script>

<!-- Font Settings -->
<?php
 
    $google_font = qcpx_get_option('qcpx_use_pre_google_font');
    $custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
    $theme_font = qcpx_get_option('qcpx_use_theme_font');

    if( isset($theme_font) && $theme_font != 'on' )
    {
        if( isset($custom_google_font) && $custom_google_font != '' )
        {
            
            $qcpxgetfamily = explode('family=', $custom_google_font);

            $qcpxfamily = $qcpxgetfamily[1];

            ?>

            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>" rel="stylesheet">

            <style type="text/css">
                .grid li.shown img, .grid li.shown h3, .qc_filter a span{
                    font-family: '<?php echo $qcpxfamily; ?>' !important;
                }
            </style>

            <?php
        }
        else
        {
            if( isset($google_font) && $google_font != '' )
            {
                ?>
                    <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>" rel="stylesheet">

                    <style type="text/css">
                        .grid li.shown img, .grid li.shown h3, .qc_filter a span{
                            font-family: '<?php echo $google_font; ?>' !important;
                        }
                    </style>
                <?php
            }
        }
    }

?>
<!-- End of Font Settings -->

<!-- Custom CSS -->
<style>
    .portfolio-pagination {
      padding-top: 30px;
      text-align: center;
    }

    .grid li:hover > .grid-content {
      border-color: <?php echo qcpx_get_option('qcpo_tpl6_border_color'); ?>;
      border-width: <?php echo qcpx_get_option('qcpo_tpl6_border_width'); ?>px;
    }

    .grid li h3 {
      background-color: <?php echo qcpx_get_option('qcpo_tpl6_border_color'); ?>;
      color: <?php echo qcpx_get_option('qcpo_tpl6_title_color'); ?>;
    }

    .grid li:hover h3 {
      color: <?php echo qcpx_get_option('qcpo_tpl6_title_color_hover'); ?>;
    }

    .grid li h3 {
      font-size: <?php echo qcpx_get_option('qcpo_tpl6_title_font_si'); ?>px !important;
    }

</style>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');

?>

<!-- filter-row -->
<?php 

    if( qcpx_get_option('qcld_template_links') == 'on' )
    {
        qcld_portfolio_list_portfolios();
    }

?>
<!-- /filter-row -->

<!-- Template Markup --> 
<!-- Template Markup --> 
<!-- qcpx_tpl_06 -->  
<div class="qcpx_tpl_06">
    <section class="grid-wrap"
        <?php
        $qcpx_all_options=get_option('qcpx_plugin_options');
        if($qcpx_all_options['qcld_template_links']=='on' && $qcpx_all_options['qcpx_list_page_width']=='list_box'){
            ?>
            style="max-width:<?php echo $qcpx_all_options['qcpx_list_page_width_val'] ;?>px "
            <?php
        }
        ?>
    >
        
        <ul class="grid swipe-down" id="grid">

        <?php 
            //while-loop start
            while( $custom_query->have_posts() ) {

            $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

            $custom_query->the_post();

            $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true); 

            $portfolio_in_popup = get_post_meta(get_the_ID(), 'qc_portfolio_show_website_on_iframe_popup', true); 

            $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");

            if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                $fullImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'full');
            }

        ?>

            <li>

                <div class="grid-content">

                    <?php
                        $thumbnail_img = get_the_post_thumbnail(get_the_ID(), 'large', array('class' => 'portfolio_img'));

                        if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                            $thumbnail_img = wp_get_attachment_image( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'large', array('class' => 'portfolio_img'));
                        } 
                        echo $thumbnail_img; 
                    ?>
                    <h3>
                        <?php echo get_the_title(); ?>
                    </h3>

                    <!--new hover effect-->
                    <div class="qc-grid-hover-effect-button-area bare-buttons">

                        <a class="first-anchor" href="<?php echo $fullImgUrl[0]; ?>" data-lity title="<?php _e('Zoom Image'); ?>">
                            <i class="fa fa-search"></i>
                        </a>

                        <?php if( isset($portfoliourl) && $portfoliourl != "" ) : ?>
                            <?php if( isset($portfolio_in_popup) && $portfolio_in_popup == "on" ){ ?>
                                <a class="second-anchor qcld-iframe-popup" data-mfp-src="<?php echo $portfoliourl; ?>" href="<?php echo $portfoliourl; ?>" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php }else{ ?>
                                <a class="second-anchor" href="<?php echo $portfoliourl; ?>" target="_blank" title="Visit Link">
                                    <i class="fa fa-link"></i>
                                </a>
                            <?php } ?>
                        <?php endif; ?>
                        
                        <?php if( $target_open == 'separate-page' ) : ?>
                            <a class="third-anchor" href="<?php echo get_permalink(); ?>" title="<?php _e('View Details'); ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a>
                        <?php else : ?>
                            <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                                <i class="fa fa-plus-circle"></i>
                            </a> 
                        <?php endif; ?>

                    </div>
                    <!--/qc-circle-grid-button-area-->
                    <!--/new hover effect-->

                    <!-- #dump-content -->
                    <div style="display: none;">
                       <!-- Contents Will be dumpped here --> 
                       <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                            <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                               
                           </div>
                       </div>
                    </div>
                    <!-- /#dump-content -->

                </div>

            </li>

        <?php }  wp_reset_postdata(); //end while ?>

        </ul>

    </section>
    <!-- /grid-wrap -->

</div>
<!-- /qcpx_tpl_06 -->

<div>
    <div class="portfolio-row portfolio-pagination">
        <?php

            $maxNumPage = $custom_query->max_num_pages;

            qcld_custom_pagination( $maxNumPage, "", $paged );

        ?>
    </div>
    
    <div class="clear"></div>
</div>

<?php 
    wp_enqueue_script('qcld-tpl6-masonry-js', PORTFOLIO_THEME_URL . "/" . $theme . "/js/masonry.pkgd.min.js");
    wp_enqueue_script('qcld-tpl6-imagesloaded-js', PORTFOLIO_THEME_URL . "/" . $theme . "/js/imagesloaded.pkgd.min.js");
    wp_enqueue_script('qcld-tpl6-classie-js', PORTFOLIO_THEME_URL . "/" . $theme . "/js/classie.js");
    wp_enqueue_script('qcld-tpl6-colorfinder-js', PORTFOLIO_THEME_URL . "/" . $theme . "/js/colorfinder-1.1.js");
    wp_enqueue_script('qcld-tpl6-gridScrollFx-js', PORTFOLIO_THEME_URL . "/" . $theme . "/js/gridScrollFx.js");
?>

<script>
    jQuery(document).ready(function(){
        new GridScrollFx( document.getElementById( 'grid' ), {
            viewportFactor : 0.4
        } );
    });
</script>

