<!--Adding Template Specific Style -->

<link rel="stylesheet" href="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/css/style.css"; ?>">

<?php
  wp_enqueue_script( 'jquery' );
  wp_enqueue_script( 'qcpx-tpl11-js', PORTFOLIO_THEME_URL . "/" . $theme . "/js/qc_protfolio_3d_effect.js", array('jquery') );
?>

<!-- Font Settings -->
<?php
 
    $google_font = qcpx_get_option('qcpx_use_pre_google_font');
    $custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
    $theme_font = qcpx_get_option('qcpx_use_theme_font');

    if( isset($theme_font) && $theme_font != 'on' )
    {
        if( isset($custom_google_font) && $custom_google_font != '' )
        {
            
            $qcpxgetfamily = explode('family=', $custom_google_font);

            $qcpxfamily = $qcpxgetfamily[1];

            ?>

            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>" rel="stylesheet">

            <style type="text/css">
                .text-with-line, .js-title-anim, .qc-portfolio-3d-item-content h2, .qc-portfolio-3d-item-content, .qc-portfolio-3d-item-content > div, .qc-portfolio-3d-item-content p{
                    font-family: '<?php echo $qcpxfamily; ?>' !important;
                }
            </style>

            <?php
        }
        else
        {
            if( isset($google_font) && $google_font != '' )
            {
                ?>
                    <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>" rel="stylesheet">

                    <style type="text/css">
                        .text-with-line, .js-title-anim, .qc-portfolio-3d-item-content h2, .qc-portfolio-3d-item-content, .qc-portfolio-3d-item-content > div, .qc-portfolio-3d-item-content p{
                            font-family: '<?php echo $google_font; ?>' !important;
                        }
                    </style>
                <?php
            }
        }
    }

?>
<!-- End of Font Settings -->

<!-- Customized CSS -->
<style>
    .text-with-line, .js-title-anim, .qc-portfolio-3d-item-title h1 {
        color: <?php echo qcpx_get_option('qcpo_tpl11_title_color_big'); ?>;
    }

    .text-with-line::after, .portfolio-container .qc-portfolio-3d-item:nth-child(2n) .text-with-line::before {
        border-color: <?php echo qcpx_get_option('qcpo_tpl11_title_color_big'); ?>;
    }

    .js-title-anim {
        font-size: <?php echo qcpx_get_option('qcpo_tpl11_title_font_si_big'); ?>px !important;
    }
</style>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');

?>

<!-- filter-row -->
<?php 

    if( qcpx_get_option('qcld_template_links') == 'on' )
    {
        qcld_portfolio_list_portfolios();
    }

?>
<!-- /filter-row -->

<!-- Template Markup --> 
<!-- qcpx_tpl_04 -->  
<div class="qcpx_tpl_11">
    
    <div class="portfolio-container"
        <?php
        $qcpx_all_options=get_option('qcpx_plugin_options');
        if($qcpx_all_options['qcld_template_links']=='on' && $qcpx_all_options['qcpx_list_page_width']=='list_box'){
            ?>
            style="max-width:<?php echo $qcpx_all_options['qcpx_list_page_width_val'] ;?>px "
            <?php
        }
        ?>

    >
            
            <?php 
                //while-loop start
                while( $custom_query->have_posts() ) {

                $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

                $custom_query->the_post();
                
                $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true); 

                $portfolio_in_popup = get_post_meta(get_the_ID(), 'qc_portfolio_show_website_on_iframe_popup', true); 

                $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");

                if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                    $fullImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'full');
                }

                $techs = get_the_terms( get_the_ID(), 'portfolio_type' );

                $cats = "";
                if( $techs ){

                    $total = count( $techs );
                    $serial = 1;
                    $cats = "";

                    if( $techs && $total > 0 ){

                        foreach( $techs as $tech )
                        {
                            $cats .= $tech->name;

                            if( $serial != $total ){
                                $cats .= " / ";
                            }
                            $serial++;

                        }

                    }

                }

                            
        
            ?>

            <div class="qc-portfolio-3d-item">
                <div class="qc-portfolio-3d-item-wrapper">
                
                    <div style="" class="qc-portfolio-3d-item-background-image">
                        <?php 
                            $thumbnail_img = get_the_post_thumbnail(get_the_ID(), 'tpl11-thumb', array('class' => 'portfolio_img')); 

                            if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                                $thumbnail_img = wp_get_attachment_image( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'tpl11-thumb', array('class' => 'portfolio_img'));
                            }

                            echo $thumbnail_img;
                        ?>
                    </div>
                    
                    <div class="qc-portfolio-3d-item-title">
                        <span class="text-with-line js-title-with-line-anim" data-sr-id="1">
                            <?php echo $cats; ?>
                        </span>
                        <h1 class="js-title-anim" data-sr-id="2">
                            <?php echo get_the_title(); ?>
                        </h1>
                    </div>
                    
                    <div class="qc-portfolio-3d-item-hover-effect">
                        <div class="qc-portfolio-3d-item-hover-effect-button">
                            <div class="qc-portfolio-3d-item-hover-effect-button-area">
                                
                                <a class="first-anchor" href="<?php echo $fullImgUrl[0]; ?>" data-lity title="<?php _e('Zoom Image'); ?>">
                                    <i class="fa fa-search"></i>
                                </a>

                                <?php if( isset($portfoliourl) && $portfoliourl != "" ) : ?>
                                    <?php if( isset($portfolio_in_popup) && $portfolio_in_popup == "on" ){ ?>
                                        <a class="second-anchor qcld-iframe-popup" data-mfp-src="<?php echo $portfoliourl; ?>" href="<?php echo $portfoliourl; ?>" title="Visit Link">
                                            <i class="fa fa-link"></i>
                                        </a>
                                    <?php }else{ ?>
                                        <a class="second-anchor" href="<?php echo $portfoliourl; ?>" target="_blank" title="Visit Link">
                                            <i class="fa fa-link"></i>
                                        </a>
                                    <?php } ?>
                                <?php endif; ?>
                                
                                <?php if( $target_open == 'separate-page' ) : ?>
                                    <a class="third-anchor" href="<?php echo get_permalink(); ?>" title="<?php _e('View Details'); ?>">
                                        <i class="fa fa-plus-circle"></i>
                                    </a>
                                <?php else : ?>
                                    <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                                        <i class="fa fa-plus-circle"></i>
                                    </a> 
                                <?php endif; ?>
                                
                            </div>
                            <!--/qc-circle-grid-button-area-->
                        </div>
                    </div>
                </div>
                <div class="clear"></div>

                <!--lightbox-content-->
                <!-- #dump-content -->
                <div style="display: none;">
                   <!-- Contents Will be dumpped here --> 
                   <div class="inside-popup-details"  id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                        <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                           
                       </div>
                   </div>
                </div>
                <!-- /#dump-content -->
                <!--/lightbox-content-->
                
            </div>
            <!-- /qc-portfolio-x-item -->

            <?php }  wp_reset_postdata(); //End of While Loop ?>

        <div class="portfolio-row portfolio-pagination">
            <?php

                $maxNumPage = $custom_query->max_num_pages;

                qcld_custom_pagination( $maxNumPage, "", $paged );

            ?>
        </div>
        
        <div class="clear"></div>

    </div>
    <!--/qc-portfolio-x-container-->

</div>
<!-- /qcpx_tpl_11 -->

