<!--Adding Template Specific Style -->

<link rel="stylesheet" href="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/css/slick.css"; ?>">
<link rel="stylesheet" href="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/css/style.css"; ?>">

<?php 
    wp_enqueue_script('jquery');
    wp_enqueue_script('jquery-slick-js', PORTFOLIO_THEME_URL . "/" . $theme . "/js/slick.js", array('jquery'));
    wp_enqueue_script('jquery-custom-js', PORTFOLIO_THEME_URL . "/" . $theme . "/js/script.js", array('jquery', 'jquery-slick-js'));
?>

<!-- Font Settings -->
<?php
 
    $google_font = qcpx_get_option('qcpx_use_pre_google_font');
    $custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
    $theme_font = qcpx_get_option('qcpx_use_theme_font');

    if( isset($theme_font) && $theme_font != 'on' )
    {
        if( isset($custom_google_font) && $custom_google_font != '' )
        {
            
            $qcpxgetfamily = explode('family=', $custom_google_font);

            $qcpxfamily = $qcpxgetfamily[1];

            ?>

            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>" rel="stylesheet">

            <style type="text/css">
                .portfolio-container a, .qc-circle-grid-portfolio-category p, .qc-circle-grid-button-area span{
                    font-family: '<?php echo $qcpxfamily; ?>' !important;
                }
            </style>

            <?php
        }
        else
        {
            if( isset($google_font) && $google_font != '' )
            {
                ?>
                    <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>" rel="stylesheet">

                    <style type="text/css">
                        .portfolio-container a, .qc-circle-grid-portfolio-category p, .qc-circle-grid-button-area span{
                            font-family: '<?php echo $google_font; ?>' !important;
                        }
                    </style>
                <?php
            }
        }
    }

?>
<!-- End of Font Settings -->

<!-- Customized CSS -->
<style>
    .qc-center-slider-portfolio-title h1, .qc-center-slider-portfolio-title h1 a{
        color: <?php echo qcpx_get_option('qcpo_tpl12_title_color'); ?>;
    }

    .qc-center-slider-portfolio-category p, .qc-center-slider-button-area span{
        color: <?php echo qcpx_get_option('qcpo_tpl12_text_color'); ?>;
    }

    <?php if( qcpx_get_option('qcpo_tpl12_shadow_color') != "" ) : ?>
    .qc-center-slider-portfolio-item .qc-center-slider-portfolio-item-inner {
      box-shadow: 0 2px 8px 0 <?php echo qcpx_get_option('qcpo_tpl12_shadow_color'); ?>;
    }
    <?php endif; ?>

    .qc-center-slider-portfolio-item .qc-center-slider-portfolio-item-inner, .qc-center-slider-portfolio-item.slick-slide.slick-current.slick-active.slick-center .qc-center-slider-portfolio-item-inner .qc-center-slider-portfolio-content{
        background-color: <?php echo qcpx_get_option('qcpo_tpl12_bg_color'); ?>;
    }
</style>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');

?>

<!-- filter-row -->
<?php 

    if( qcpx_get_option('qcld_template_links') == 'on' )
    {
        qcld_portfolio_list_portfolios();
    }

?>
<!-- /filter-row -->

<!-- Template Markup --> 
<!-- qcpx_tpl_12 -->  
<div class="qcpx_tpl_12">
    
    <div class="portfolio-container"
        <?php
        $qcpx_all_options=get_option('qcpx_plugin_options');
        if($qcpx_all_options['qcld_template_links']=='on' && $qcpx_all_options['qcpx_list_page_width']=='list_box'){
            ?>
            style="max-width:<?php echo $qcpx_all_options['qcpx_list_page_width_val'] ;?>px "
            <?php
        }
        ?>
    >

        <div class="showcase-slider">

            <?php 
                
                $totalCount = 0;
                $loopCount = 0;
                $printedItemCount = 0;
                $remainingItemCount = 0;

                $totalCount = $custom_query->post_count;

                //while-loop start
                while( $custom_query->have_posts() ) {

                $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

                $custom_query->the_post();
                
                $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true); 

                $portfolio_in_popup = get_post_meta(get_the_ID(), 'qc_portfolio_show_website_on_iframe_popup', true); 

                $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");

                if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                    $fullImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'full');
                }
        
                $thumbImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "tpl11-thumb");


                if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                    $thumbImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'tpl11-thumb' );
                }

                $techs = get_the_terms( get_the_ID(), 'portfolio_type' );

                $cats = "";
                if( $techs ){
                    
                    $total = count( $techs );
                    $serial = 1;
                    $cats = "";

                    if( $techs && $total > 0 ){

                        foreach( $techs as $tech )
                        {
                            $cats .= $tech->name;

                            if( $serial != $total ){
                                $cats .= " / ";
                            }
                            $serial++;

                        }

                    }

                }

                $startDate = get_post_meta(get_the_ID(), 'qcld_start_date', true);
                $endDate = get_post_meta(get_the_ID(), 'qcld_end_date', true);

                $remainingItemCount = $totalCount - $printedItemCount;
  
            ?>

            <div class="qc-center-slider-portfolio-item">
                <div class="qc-center-slider-portfolio-item-inner">
                    <div class="qc-center-slider-portfolio-img"
                         style="background: url(<?php echo $thumbImgUrl[0]; ?>) no-repeat top center; background-size: cover;">

                        <div class="qc-center-slider-portfolio-hover-effect">
                            <div class="qc-center-slider-portfolio-hover-effect-button">
                                <div class="qc-center-slider-portfolio-hover-effect-button-area">
                                    
                                    <a class="first-anchor" href="<?php echo $fullImgUrl[0]; ?>" data-lity title="<?php _e('Zoom Image'); ?>">
                                        <i class="fa fa-search"></i>
                                    </a>

                                    <?php if( isset($portfoliourl) && $portfoliourl != "" ) : ?>
                                        <?php if( isset($portfolio_in_popup) && $portfolio_in_popup == "on" ){ ?>
                                            <a class="second-anchor qcld-iframe-popup" data-mfp-src="<?php echo $portfoliourl; ?>" href="<?php echo $portfoliourl; ?>" title="Visit Link">
                                                <i class="fa fa-link"></i>
                                            </a>
                                        <?php }else{ ?>
                                            <a class="second-anchor" href="<?php echo $portfoliourl; ?>" target="_blank" title="Visit Link">
                                                <i class="fa fa-link"></i>
                                            </a>
                                        <?php } ?>
                                    <?php endif; ?>
                                    
                                    <?php if( $target_open == 'separate-page' ) : ?>
                                        <a class="third-anchor" href="<?php echo get_permalink(); ?>" title="<?php _e('View Details'); ?>">
                                            <i class="fa fa-plus-circle"></i>
                                        </a>
                                    <?php else : ?>
                                        <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                                            <i class="fa fa-plus-circle"></i>
                                        </a> 
                                    <?php endif; ?>

                                </div>
                                <!--/qc-center-slider-button-area-->
                            </div>
                        </div>
                    </div>
                    <!--qc-center-slider-portfolio-img-->
                    <div class="qc-center-slider-portfolio-content">
                        <div class="qc-center-slider-portfolio-title">
                            <h1>
                                <a href="#">
                                    <?php echo get_the_title(); ?>
                                </a>
                            </h1>
                        </div>
                        <div class="qc-center-slider-portfolio-category">
                           <p><?php echo $cats; ?></p>
                        </div>

                        <!--qc-center-slider-portfolio-title-->
                        <div class="qc-center-slider-button-area">
                            <span class="rating">
                                <?php if( isset($startDate) && !empty($startDate) ){ echo gmdate('Y-m-d', $startDate); } ?>
                            </span>
                            <span class="price">
                                <?php if( isset($endDate) && !empty($endDate) ){ echo gmdate('Y-m-d', $endDate); } ?>
                            </span>
                        </div>
                        <!--qc-center-slider-button-area-->
                    </div>


                    <!--qc-center-slider-portfolio-content-->
                </div>

                <!--lightbox-content-->
                <!-- #dump-content -->
                <div style="display: none;">
                   <!-- Contents Will be dumpped here --> 
                   <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                        <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                           
                       </div>
                   </div>
                </div>
                <!-- /#dump-content -->
                <!--/lightbox-content-->

            </div>

            <?php }  wp_reset_postdata(); // end of while loop ?>

        </div>
        <!-- /showcase-slider -->           

    </div>
    <!--/qc-portfolio-x-container-->

</div>
<!-- /qcpx_tpl_12 -->

