<!--Adding Template Specific Style -->

<link rel="stylesheet" href="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/css/style.css"; ?>">

<!-- Font Settings -->
<?php

$google_font = qcpx_get_option('qcpx_use_pre_google_font');
$custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
$theme_font = qcpx_get_option('qcpx_use_theme_font');

if (isset($theme_font) && $theme_font != 'on') {
    if (isset($custom_google_font) && $custom_google_font != '') {

        $qcpxgetfamily = explode('family=', $custom_google_font);

        $qcpxfamily = $qcpxgetfamily[1];

        ?>

        <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>"
              rel="stylesheet">

        <style type="text/css">
            .qc-hexagon-grid-portfolio-item-title, .qc-hexagon-grid-portfolio-item-title h2, .qc-hexagon-grid-portfolio-item-title span {
                font-family: '<?php echo $qcpxfamily; ?>' !important;
            }
        </style>

        <?php
    } else {
        if (isset($google_font) && $google_font != '') {
            ?>
            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>"
                  rel="stylesheet">

            <style type="text/css">
                .qc-hexagon-grid-portfolio-item-title, .qc-hexagon-grid-portfolio-item-title h2, .qc-hexagon-grid-portfolio-item-title span {
                    font-family: '<?php echo $google_font; ?>' !important;
                }
            </style>
            <?php
        }
    }
}

?>
<!-- End of Font Settings -->

<!-- Customized CSS -->
<style>
    .qc-portfolio-x-title-area a h1 {
        color: <?php echo qcpx_get_option('qcpo_tpl4_title_color'); ?>;
    }

    .hex a h1 {
        color: <?php echo qcpx_get_option('qcpo_tpl15_title_color'); ?>;
        font-size: <?php echo qcpx_get_option('qcpo_tpl15_title_size'); ?>px;
    }

    .qc-hexagon-grid-portfolio-item-title span {
        color: <?php echo qcpx_get_option('qcpo_tpl15_category_color'); ?>;
        font-size: <?php echo qcpx_get_option('qcpo_tpl15_category_size'); ?>px;
    }
</style>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');

$column = 'four-col';

?>

<!-- filter-row -->
<?php

if (qcpx_get_option('qcld_template_links') == 'on') {
    qcld_portfolio_list_portfolios();
}

?>
<!-- /filter-row -->

<!-- Template Markup -->
<!-- qcpx_tpl_15 -->
<div class="qcpx_tpl_15">

    <div class="portfolio-container"
        <?php
        $qcpx_all_options=get_option('qcpx_plugin_options');
        if($qcpx_all_options['qcld_template_links']=='on' && $qcpx_all_options['qcpx_list_page_width']=='list_box'){
            ?>
            style="max-width:<?php echo $qcpx_all_options['qcpx_list_page_width_val'] ;?>px "
            <?php
        }
        ?>
    >

        <ul id="hexGrid">

            <?php
            //while-loop start
            while ($custom_query->have_posts()) {

                $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0, 35), 5);

                $custom_query->the_post();

                $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true);

                $portfolio_in_popup = get_post_meta(get_the_ID(), 'qc_portfolio_show_website_on_iframe_popup', true); 

                $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");

                if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                    $fullImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'full');
                }

                $thumbImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "tpl15-thumb");

                if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                    $thumbImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'tpl15-thumb' );
                }

                $techs = get_the_terms(get_the_ID(), 'portfolio_technology');

                if( $techs  ){

                    $total = count($techs);
                    $serial = 1;
                    $cats = "";
                    if ($techs && $total > 0) {
                        foreach ($techs as $tech) {
                            $cats .= $tech->name;
                            if ($serial != $total) {
                                $cats .= " / ";
                            }
                            $serial++;
                        }
                    }

                }else{
                    $cats = "";
                }

                $startDate = get_post_meta(get_the_ID(), 'qcld_start_date', true);
                $endDate = get_post_meta(get_the_ID(), 'qcld_end_date', true);

                ?>
                <li class="hex">

                    <a class="hexIn px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>" href="#" data-rand="<?php echo $randomNum; ?>">
                        <img src="<?php echo $thumbImgUrl[0]; ?>" alt="" />

                        <h1><?php echo get_the_title(); ?></h1>
                        <p>
                            <?php

                            $techs = get_the_terms( get_the_ID(), 'portfolio_type' );

                            if( $techs ){
                                
                                $total = count( $techs );
                                $serial = 1;

                                if( $techs && $total > 0 ){

                                    foreach( $techs as $tech )
                                    {
                                        echo $tech->name;
                                        if( $serial != $total ){
                                            echo " / ";
                                        }
                                        $serial++;
                                    }

                                }

                            }

                            ?>
                        </p>
                    </a>

                    <!--lightbox-content-->
                    <!-- #dump-content -->
                    <div style="display: none;">
                       <!-- Contents Will be dumpped here --> 
                       <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                            <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                               
                           </div>
                       </div>
                    </div>
                    <!-- /#dump-content -->
                    <!--/lightbox-content-->

                </li> <!-- End of class "hex" -->

            <?php }  wp_reset_postdata(); //End of While Loop ?>

            <div class="clear"></div>

            </ul>
        <!--/hex-row hex-->

        <div class="portfolio-row portfolio-pagination">
            <?php

            $maxNumPage = $custom_query->max_num_pages;

            qcld_custom_pagination($maxNumPage, "", $paged);

            ?>
        </div>

    </div>
    <!--/qc-portfolio-container-->

</div>
<!-- /qcpx_tpl_15 -->

