<!--Adding Template Specific Style -->

<link rel="stylesheet" href="<?php echo PORTFOLIO_THEME_URL . "/" . $theme . "/css/style.css"; ?>">

<!-- Font Settings -->
<?php
 
    $google_font = qcpx_get_option('qcpx_use_pre_google_font');
    $custom_google_font = qcpx_get_option('qcpx_use_custom_google_font');
    $theme_font = qcpx_get_option('qcpx_use_theme_font');

    if( isset($theme_font) && $theme_font != 'on' )
    {
        if( isset($custom_google_font) && $custom_google_font != '' )
        {
            
            $qcpxgetfamily = explode('family=', $custom_google_font);

            $qcpxfamily = $qcpxgetfamily[1];

            ?>

            <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $qcpxfamily); ?>" rel="stylesheet">

            <style type="text/css">
                h1.qc-portfolio-x-title, .qc-portfolio-x-extend-info p:first-child, .qc-portfolio-x-extend-info p:last-child, .qc-portfolio-x-info, .qc-portfolio-x-info p, .qc_filter a span{
                    font-family: '<?php echo $qcpxfamily; ?>' !important;
                }
            </style>

            <?php
        }
        else
        {
            if( isset($google_font) && $google_font != '' )
            {
                ?>
                    <link href="https://fonts.googleapis.com/css?family=<?php echo str_replace(" ", "+", $google_font); ?>" rel="stylesheet">

                    <style type="text/css">
                        h1.qc-portfolio-x-title, .qc-portfolio-x-extend-info p:first-child, .qc-portfolio-x-extend-info p:last-child, .qc-portfolio-x-info, .qc-portfolio-x-info p, .qc_filter a span{
                            font-family: '<?php echo $google_font; ?>' !important;
                        }
                    </style>
                <?php
            }
        }
    }

?>
<!-- End of Font Settings -->

<?php 
//echo qcpx_get_option('qcpo_tpl16_bg_img');
?>

<!-- Customized CSS -->
<style>
    <?php if( qcpx_get_option('qcpo_tpl16_bg_img') != "" ) : ?>
    .qc-circle-grid-portfolio-item-inner {
      background: rgba(0, 0, 0, 0) url("<?php echo PORTFOLIO_THEME_URL . '/' . $theme; ?>/images/<?php echo qcpx_get_option('qcpo_tpl16_bg_img'); ?>") no-repeat scroll center center / contain !important;
    }
    <?php endif; ?>
    <?php if( qcpx_get_option('qcpo_tpl16_circle_color') != "" ) : ?>
    .qc-circle-grid-portfolio-img img {
      border: 2px solid <?php echo qcpx_get_option('qcpo_tpl16_circle_color'); ?>;
    }
    <?php endif; ?>
    <?php if( qcpx_get_option('qcpo_tpl16_circle_width') != "" ) : ?>
    .qc-circle-grid-portfolio-img img {
      border-width: <?php echo qcpx_get_option('qcpo_tpl16_circle_width'); ?>px;
    }
    <?php endif; ?>
</style>

<?php

$itemsPerPage = qcpx_get_option('qcld_post_per_page');

$target_open = 'popup-window';
$target_open = qcpx_get_option('qc_single_open_opt');

$link_title = false;
$link_title = qcpx_get_option('qcld_link_title');

?>

<!-- filter-row -->
<?php 

    if( qcpx_get_option('qcld_template_links') == 'on' )
    {
        qcld_portfolio_list_portfolios();
    }

?>
<!-- /filter-row -->

<!-- Template Markup --> 
<!-- qcpx_tpl_16 -->  
<div class="qcpx_tpl_16">
    
    <div class="portfolio-container">

        <div class="portfolio-row">
            
            <?php 
                //while-loop start
                while( $custom_query->have_posts() ) {

                $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);

                $custom_query->the_post();
                
                $portfoliourl = get_post_meta(get_the_ID(), 'qc_portfolio_url', true); 

                $portfolio_in_popup = get_post_meta(get_the_ID(), 'qc_portfolio_show_website_on_iframe_popup', true); 

                $fullImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");

                if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                    $fullImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'full');
                }
  
            ?>

                <!-- Item Start -->
                <div class="qc-circle-grid-portfolio-item">
                    <div class="qc-circle-grid-portfolio-item-inner">
                        <div class="qc-circle-grid-portfolio-img">
                            
                            <?php 
                                $thumbImgUrl = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "tpl2-thumb");
                                
                                $thumbnail_img = get_the_post_thumbnail(get_the_ID(), 'tpl2-thumb', array('class' => 'portfolio_img')); 

                                if( get_post_meta( get_the_ID(), 'qc_portfolio_use_custom_thumbnail', true) == 'on' ){
                                    $thumbnail_img = wp_get_attachment_image( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'tpl2-thumb', array('class' => 'portfolio_img'));
                                    $thumbImgUrl = wp_get_attachment_image_src( get_post_meta( get_the_ID(), 'qc_portfolio_custom_thumbnail_id', true), 'tpl2-thumb' );
                                }
                                
                                $lazyload = qcpx_get_option('qcpo_tpl16_lazyload');
                            ?>

                            <?php if( isset($lazyload) && $lazyload == 'on') : ?>

                                <img class="lazy" data-original="<?php echo $thumbImgUrl[0]; ?>">

                            <?php else : ?>

                                <?php 
                                    echo $thumbnail_img; 
                                ?>

                            <?php endif; ?>

                        </div>
                        <!--qc-circle-grid-portfolio-img-->
                        <div class="qc-circle-grid-portfolio-hover-effect">
                            <div class="qc-circle-grid-portfolio-hover-effect-button">
                                <div class="qc-circle-grid-portfolio-hover-effect-button-area">
                                    
                                    <a class="first-anchor" href="<?php echo $fullImgUrl[0]; ?>" data-lity title="<?php _e('Zoom Image'); ?>">
                                        <i class="fa fa-search"></i>
                                    </a>

                                    <?php if( isset($portfoliourl) && $portfoliourl != "" ) : ?>
                                        <?php if( isset($portfolio_in_popup) && $portfolio_in_popup == "on" ){ ?>
                                            <a class="second-anchor qcld-iframe-popup" data-mfp-src="<?php echo $portfoliourl; ?>" href="<?php echo $portfoliourl; ?>" title="Visit Link">
                                                <i class="fa fa-link"></i>
                                            </a>
                                        <?php }else{ ?>
                                            <a class="second-anchor" href="<?php echo $portfoliourl; ?>" target="_blank" title="Visit Link">
                                                <i class="fa fa-link"></i>
                                            </a>
                                        <?php } ?>
                                    <?php endif; ?>
                                    
                                    <?php if( $target_open == 'separate-page' ) : ?>
                                        <a class="third-anchor" href="<?php echo get_permalink(); ?>" title="<?php _e('View Details'); ?>">
                                            <i class="fa fa-plus-circle"></i>
                                        </a>
                                    <?php else : ?>
                                        <a class="third-anchor px-open-popup-il load-content-inlb" data-pid="<?php echo get_the_ID(); ?>" data-mfp-src="#inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>"  href="#" data-rand="<?php echo $randomNum; ?>">
                                            <i class="fa fa-plus-circle"></i>
                                        </a> 
                                    <?php endif; ?>

                                </div>
                                <!--/qc-circle-grid-button-area-->
                            </div>
                        </div>
                        <!--qc-circle-grid-portfolio-img-->

                    </div>

        
                    <!--lightbox-content-->
                    <!-- #dump-content -->
                    <div style="display: none;">
                       <!-- Contents Will be dumpped here --> 
                       <div class="inside-popup-details" id="inline-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                            <div id="dump-content-<?php echo get_the_ID(); ?>-<?php echo $randomNum; ?>">
                               
                           </div>
                       </div>
                    </div>
                    <!-- /#dump-content -->
                    <!--/lightbox-content-->
                                   
                </div>
                <!--/qc-circle-grid-portfolio-item-->
                <!-- /Item End -->

                <?php }  wp_reset_postdata(); //End of While Loop ?>

                <div class="portfolio-row portfolio-pagination">
                    <?php

                        $maxNumPage = $custom_query->max_num_pages;

                        qcld_custom_pagination( $maxNumPage, "", $paged );

                    ?>
                </div>
            
            <div class="clear"></div>

        </div>
        <!--/qc-portfolio-row-->

    </div>
    <!--/qc-portfolio-container-->

</div>
<!-- /qcpx_tpl_16 -->

